# Generated by Makefile. Do not edit.


commit a8ebd1a95ae416f942f3b4e91b79b1f605d6588b
Merge: 431d1613 f408c554
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Apr 11 17:13:48 2017 +0200

    Merge branch 'gpaste-3.22' into gpaste-3.24
    
    * gpaste-3.22:
      daemon: don't allow setting an item as password with an already taken name
      core: don't allow setting an item as password with an already taken name

commit f408c55417b1409e0d5775490936aa8d4ec30655
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Apr 11 17:13:08 2017 +0200

    daemon: don't allow setting an item as password with an already taken name
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ceb5ff7df3cdebaf6fdba824aed557f57f817a8e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Apr 11 17:12:59 2017 +0200

    core: don't allow setting an item as password with an already taken name
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 431d1613c798c92adc8d69e2eefdc79d55ffa73e
Merge: 772bfc51 302cc088
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Apr 11 16:30:09 2017 +0200

    Merge branch 'gpaste-3.22' into gpaste-3.24
    
    * gpaste-3.22:
      core: beef up item comparison
      client: support reading from stdin for add

commit 302cc0884de6120f63902dfc553179fdf665f94e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Apr 11 16:28:20 2017 +0200

    core: beef up item comparison
    
    if B is a subclass a A, A.equals(B) can be true when B.equals(A) isn't, hence check both
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0374004b2cb075d83f4ccd3beb205dae487e987e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 8 14:08:25 2017 +0200

    client: support reading from stdin for add
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 772bfc513fa9388ef2ba158b1904b6ca1c7374c7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 8 14:08:25 2017 +0200

    client: support reading from stdin for add
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0f5eac25151af8874f3bd415b209de2c0efb473d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 8 13:46:37 2017 +0200

    Release GPaste 3.24.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e0ed322ddf828a0dee03764582901ddba60c3d44
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 8 13:44:19 2017 +0200

    core: when selecting, update local cache
    
    This avoids getting notified of our own selection, then getting the text and adding a text item as it doesn't match our cache, in the case of adding a password
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e12e5c4e3b522b371f779835d219f98edb5da823
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Apr 7 17:27:09 2017 +0200

    Release GPaste 3.24.0
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c0fe53dd172f2418326b3bb13dd1cb24243094e1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Apr 6 17:01:06 2017 +0200

    release
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4edf326cb7f3e22c6ae5a98e38aa430a9aeaff96
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Apr 7 17:21:33 2017 +0200

    update-po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b242507dc9d0d01904dd70c6a35b661b20c50259
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Apr 7 17:20:23 2017 +0200

    core:  actually account for special values size
    
    Fixes #204
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 08e369d17fcab88ba842320093486195c323ac4a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Apr 7 17:15:47 2017 +0200

    core: add g_paste_history_refresh_item_size;
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8e1c3830884ecbca58f791bcf9f89dc98dd234c9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Apr 7 09:35:31 2017 +0200

    core: simplify special contents retrieval from clipboard
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 24891e52437042540aaa8bb9480af311f19856a8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Apr 7 09:32:08 2017 +0200

    io: update history format when loading old version
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8fe16d5ed71e08ada697ed7aac2270e667e3e0df
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Apr 7 09:26:10 2017 +0200

    core: simplify special data retrieval from item
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e47f512332a7ed742e38354a68a150e03c061f33
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Apr 6 17:03:51 2017 +0200

    cleanup includes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5491d94aa8f194b9582bde6096823d616634a2d4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Apr 6 15:26:38 2017 +0200

    core: add comment
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 65f1bbe1954c228df58d824bc83e44be7491b3e3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Apr 6 15:18:20 2017 +0200

    core: GNOME_COPIED_FILES is no longer a special case
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b623586355161b0ba9f77219d232eb4791472644
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Apr 6 09:52:02 2017 +0200

    core: use base64 to store special contents
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 58d0d54bd52ef35b1db1e633a5618516cb491c01
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 5 17:44:02 2017 +0200

    core: force utf16 for special contents
    
    that's how firefox encodes them
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5def14f1f41b1d96ded47f5a757a3c2ba7884e38
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 5 17:19:42 2017 +0200

    core: start making special mime types work with firefox
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4f1b94373e5fcc4d67b8bc3b088e5c4f51055694
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 5 17:05:30 2017 +0200

    core: unify how we select stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7e9ba7d9505ae6d96cbe45e4ceab2a69b6e699ee
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 5 17:04:35 2017 +0200

    core: actually send the sepcial value
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c2a83873b1719ae358be3baabf98677ecce0b1d2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 5 16:59:01 2017 +0200

    core: add a way to get an item's special value
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cbaa75e469cc184aa68de8e894b565e079deed44
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 5 16:39:01 2017 +0200

    core: fix getting special mime types
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3cbb266877f44ed3fa2523faed3b45002b6cc454
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 5 16:37:45 2017 +0200

    core: ensure special atoms are correctly inited
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a1b80ef6dd7412df7190a53e564369bc65b2ee9c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 5 16:37:26 2017 +0200

    io: fix serialization
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 49586088e72a27e62aa5dc814f54bb56f31dfc05
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 5 16:08:36 2017 +0200

    core: actually track and save custom mime types results
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a876ba914e894535733ee3dabe38ba3ae627dc6f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 3 17:10:29 2017 +0200

    core: detect if supported special mime types are available
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7f8e49f6283ed67253a331c4e49fde2131ef1405
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 3 16:58:18 2017 +0200

    core: fix memory leak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3dda3b60c66a69b33001349c703ac1764964d4b0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 3 16:56:33 2017 +0200

    core: special-atoms tweaks
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 089ec32d4cfff8f11fa8acd18596b3dcd21dee1a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 3 15:28:52 2017 +0200

    core: restore special values from history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 123ed7f4ee27ea9fd4c186fe13e34a73841631dd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 3 15:14:00 2017 +0200

    io: parse special_values
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 23b37f1c850e66d0d7234cfe53728a572e80a6bb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 3 12:50:54 2017 +0200

    io: start parsing history 2.0
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d936c6d88eb764f8f007529187e50368194e5925
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 3 12:15:31 2017 +0200

    core: preparation for special_values
    
    add a field in item
    serialize history as 2.0 version
    fail if we try to parse 2.0 histoy as it's not supported yet
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cc8e4a59413ce794232fa90b56a478c97b8240d3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 3 11:30:20 2017 +0200

    core: split out gpaste-special-atom
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7a3cf76623220248e3d403deff3c08892a0fc5f8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 3 10:54:26 2017 +0200

    build-sys: require stable releases
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4c7e2d334c270d65b2a61fa366aecd143ba0ca94
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 20 16:37:25 2017 +0100

    update README
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a32c36ab3b3b55d323a2ea085d7abe759213b9b8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 20 16:33:35 2017 +0100

    Release GPaste 3.23.90
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 812940e7fa785ca8733df32c23225626bfe7793b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 17 17:45:40 2017 +0100

    add Dutch translation
    
    Thanks to Heimen Stoffels
    
    Fixes #196
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a2f464de99dc4572762aad5ef42c3d43f18403de
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 15 15:46:59 2017 +0100

    core: handle html and xml contents
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7c85dfb60f325d2e72927c854203e74440a85116
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 15 15:40:37 2017 +0100

    core: reorder the targets handling when pasting
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6c0380ab6b0061fbd2f26277ec6aa728a666aaa9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 15 15:20:11 2017 +0100

    core: add text/html and text/xml atoms
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 884c34262c6516c893b4795e5fdd2ce9c0ab4b6f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 15 15:18:45 2017 +0100

    core: introduce special_atoms
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f9e8d04b04190c8e2e45a233056010b8c522c01a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 1 14:34:31 2017 +0100

    gi: update for new Makefile.introspection
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit abd38c91dbc2fc2e903b7f2e42f751f707eb92c4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 8 15:22:00 2017 +0100

    ui: forward unknown keys to search entry
    
    fixes #200
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b005e7d515128d36138ddb9585ad5504b0e30c6a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 1 14:25:11 2017 +0100

    gnome-shell: implement new WithSignals interface
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 68d3ead129c7ce318effae1112ee354b9f00d53c
Merge: 910e9a8a d60d15e1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 28 15:19:18 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      Release GPaste 3.20.6

commit d60d15e1686495b04b9b9fa0bb5bb01d6733d7d6
Merge: efcd9aea 3db734c0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 28 15:16:47 2017 +0100

    Release GPaste 3.22.3
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3db734c0e9dff63c083d3c7c3dc491034016735b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 28 15:01:30 2017 +0100

    Release GPaste 3.20.6
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 910e9a8aad0fa8263a5241fcda7148bf4d4f4d39
Merge: 38ae4b63 efcd9aea
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 25 22:05:57 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      fix typo

commit efcd9aea88e4e92f5eaf5075daf7638c54ac5080
Merge: b9012939 c86fc356
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 25 22:05:49 2017 +0100

    Merge branch 'gpaste-3.20' into gpaste-3.22
    
    * gpaste-3.20:
      fix typo

commit c86fc35606d477c1bfbcc640cb9a4a1e99f209fb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 25 22:05:39 2017 +0100

    fix typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 38ae4b639a3bfbeaeaf06e9f2acc2d5bc7612cfb
Merge: 7285ae96 b9012939
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 25 22:04:38 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      core: don't try to detect growing lines when selecting already existing items

commit b90129392c2320b3f81642132f564a10bb59cb2e
Merge: 53e91c28 649b3d63
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 25 22:04:26 2017 +0100

    Merge branch 'gpaste-3.20' into gpaste-3.22
    
    * gpaste-3.20:
      core: don't try to detect growing lines when selecting already existing items

commit 649b3d63ee2c6a306dac5fc9800fbff7d08fcecd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 25 22:04:12 2017 +0100

    core: don't try to detect growing lines when selecting already existing items
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7285ae9653066ec680ebb0b0d7e60bd96e3002b0
Merge: 9b8a7bdb 53e91c28
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Feb 24 22:25:45 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      gnome-shell: fix wrong index when refreshing only form a given pos

commit 53e91c28b627a009dd0241fd42d2d446c09b87a0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Feb 24 22:25:12 2017 +0100

    gnome-shell: fix wrong index when refreshing only form a given pos
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9b8a7bdb3f9033e51b0950fa32e902638175c3a0
Merge: 42cb85f5 bee122d6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 21 16:31:59 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      ui: fixSEGV when refreshing item with search
      gnome-shell: simplify and fix stateSwitch
      ignore .buildconfig

commit bee122d6c6465bd82e651790b1d573fa5865d59d
Merge: f84c623b 5af42709
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 21 16:31:49 2017 +0100

    Merge branch 'gpaste-3.20' into gpaste-3.22
    
    * gpaste-3.20:
      ui: fixSEGV when refreshing item with search
      gnome-shell: simplify and fix stateSwitch
      ignore .buildconfig

commit 5af42709160c1d1fce9c9414581eef959b4d3349
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 14 17:25:56 2017 +0100

    ui: fixSEGV when refreshing item with search
    
    fixes #188
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3d9815cca8d21904e954e5e2b3ff0800770b92a0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 21 16:27:44 2017 +0100

    gnome-shell: simplify and fix stateSwitch
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit dc1d50ba7100724cfdba106ecc95b7860ad53756
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 21 16:30:26 2017 +0100

    ignore .buildconfig
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 42cb85f5dadacb8033d6d0de3a8dbe69e2528c6c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 21 16:30:26 2017 +0100

    ignore .buildconfig
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 59387b2084c7c38ad53734b02eca797a07adb448
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 21 16:27:44 2017 +0100

    gnome-shell: simplify and fix stateSwitch
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 873daa4e1f922ec620def3f93778e45e7bb6944d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Feb 19 08:59:17 2017 +0100

    gnome-shell: target gnome 3.24
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e29700b203e99a9ece0546f1c287d024ee3e60b7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Feb 17 18:19:44 2017 +0100

    build-sys: drop leftover appindicator stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ba93ae36bd46a647da9ac83f0a1b5d0608f7a3ed
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:55:54 2017 +0100

    update french translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f57749a9badcff8c302de1eaf1c349ca8231c29b
Merge: 791cd65e f84c623b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:55:18 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      Release GPaste 3.18.6

commit f84c623ba49daeb3ffb8a0853f1716ff1f5ff28d
Merge: b2430275 de7a376d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:54:14 2017 +0100

    Release GPaste 3.22.2
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit de7a376d0cb436df3fdbb4a5d2e843bc62166780
Merge: 513d3940 98c2e7de
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:47:27 2017 +0100

    Release GPaste 3.20.5
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 98c2e7dedd7ad90d6fe50417a31719e744785c54
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:43:56 2017 +0100

    Release GPaste 3.18.6
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 791cd65ea2c9560e0a83d9437b5638a1eebf442e
Merge: 9ec7732d b2430275
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:24:59 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      core: silence warnings
      core: be more eager with deleting invalid items
      core: followup fixes for invalid items
      core: fix typo
      core: don't select invalid items
      core: don't instantiate invalid image items
      util: guard against invalid pixbufs

commit b24302755978c16411c3958deb559cece968a23a
Merge: 37116b2c 513d3940
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:24:27 2017 +0100

    Merge branch 'gpaste-3.20' into gpaste-3.22
    
    * gpaste-3.20:
      core: silence warnings

commit 513d394091dee46412bd70ea8f695a40398728d6
Merge: 38c4517b f208d9af
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:24:19 2017 +0100

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      core: silence warnings

commit f208d9af8f7f676863201417bd5e17bdeb3ad638
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:23:33 2017 +0100

    core: silence warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 37116b2c30bf447d54d1f00f4a93c7eadf07c00f
Merge: 3f4643d4 38c4517b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:20:06 2017 +0100

    Merge branch 'gpaste-3.20' into gpaste-3.22
    
    * gpaste-3.20:
      core: be more eager with deleting invalid items

commit 38c4517b5f870869b0f16277747f50eb11af8ab4
Merge: 674136d8 7f422e34
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:19:14 2017 +0100

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      core: be more eager with deleting invalid items

commit 7f422e345c70bcb4eafe2e9ed9965525e8060ede
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:17:58 2017 +0100

    core: be more eager with deleting invalid items
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3f4643d4eac80380fba0e010d89ca6de33c5b2a6
Merge: b2af8230 674136d8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:09:02 2017 +0100

    Merge branch 'gpaste-3.20' into gpaste-3.22
    
    * gpaste-3.20:
      core: followup fixes for invalid items

commit 674136d8724a5b58d09aa7c50291cc505eb130b3
Merge: e91f2183 f23b3736
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:08:55 2017 +0100

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      core: followup fixes for invalid items

commit f23b37366e786ab2555008e029c5d5d53199d5b0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:08:16 2017 +0100

    core: followup fixes for invalid items
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b2af8230845fec3aaa67fc1ae6c19ad78d948851
Merge: b7da3d6a e91f2183
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:03:53 2017 +0100

    Merge branch 'gpaste-3.20' into gpaste-3.22
    
    * gpaste-3.20:
      core: fix typo
      core: don't select invalid items
      core: don't instantiate invalid image items
      util: guard against invalid pixbufs

commit e91f2183c7223f9d0b3a5039c84acbd19db6a59b
Merge: 6e5acbae 94dd2d17
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:03:17 2017 +0100

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      core: fix typo

commit 94dd2d17376146f697ec66299b3b2c5ce057bd9a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:03:08 2017 +0100

    core: fix typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6e5acbae3b6c750ca028b90cd6f7adee44270c99
Merge: 8e38957f 01936845
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 13:02:23 2017 +0100

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      core: don't select invalid items
      core: don't instantiate invalid image items
      util: guard against invalid pixbufs

commit 01936845c82b2e69c5d3de169acea110b5b79fa8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:59:51 2017 +0100

    core: don't select invalid items
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 737c0f50149dbeaafbb1cf28445f0d1934f88677
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:54:18 2017 +0100

    core: don't instantiate invalid image items
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 24fa71cac7f779c1441d0b63557f2540d124efa8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:53:42 2017 +0100

    util: guard against invalid pixbufs
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9ec7732d0b391ceac0d7a4d4d99fefa63f6a6394
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:45:46 2017 +0100

    io: fix leak when writing image metadata
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f9eec0e33a7cdddbee37a19c9e9f659e2970a48a
Merge: ca1a907d b7da3d6a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:31:23 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      core: fix typo

commit b7da3d6af1fb79f430ed33f8140c39f9808cc0d3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:31:16 2017 +0100

    core: fix typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ca1a907d22551eeb28c0dba3465489bd898f8a84
Merge: a0bdec43 95f757f4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:22:33 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      core: fix memleak in debug logging

commit 95f757f4ad41a9d43f6f8f261835effce0143dd0
Merge: d6e00a46 8e38957f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:21:30 2017 +0100

    Merge branch 'gpaste-3.20' into gpaste-3.22
    
    * gpaste-3.20:
      core: fix memleak in debug logging

commit 8e38957f24c432c7626bdd1b03460ef49e58d915
Merge: 820508a3 13d5ae1a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:17:22 2017 +0100

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      core: fix memleak in debug logging

commit a0bdec438f6154a76ee835e66bfc1ae9ad2bd2f1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:17:00 2017 +0100

    io: fi leak when reading history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 13d5ae1ad9843fed40f77f607bd9155b08b44935
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 16 12:12:04 2017 +0100

    core: fix memleak in debug logging
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 51da7e2751a3f8c134ee0171bcd4913591459367
Merge: c45dee02 d6e00a46
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 15 15:02:31 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      clipboards-manager: fallback to text when no target is advertised

commit d6e00a4640bc85c2d6455770058c31def08214e7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 15 15:01:51 2017 +0100

    clipboards-manager: fallback to text when no target is advertised
    
    Should fix #194
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c45dee02e2cd841457d99e9b3f38f5a63f627073
Merge: c9ab2ad8 4b0d146d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 14 17:26:30 2017 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      ui: fixSEGV when refreshing item with search

commit 4b0d146d9a6fd040207fe6213b939d7ecaabc675
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 14 17:25:56 2017 +0100

    ui: fixSEGV when refreshing item with search
    
    fixes #188
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c9ab2ad8ac381b92f425cd2c23df99b99abc1530
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 14 11:06:57 2017 +0100

    update po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit da43712fad62616922e5018bb0459657f79541de
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 14 11:03:26 2017 +0100

    treewide: update copyright
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 74ccfd043bb3bd2a9e65870f7647c375b4039da6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 14 10:59:24 2017 +0100

    treewide: adjust paddings and margins for better gtk 3 and 4 compatibility
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 59a2d253e979c783756e69c364a81dcf283513df
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 14 10:12:51 2017 +0100

    treewide: build with gtk4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 52352a218375101aadb741628d806ae243c83b4d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 14 09:40:32 2017 +0100

    build-sys: gtk4 support
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a997ca195a803a6608dd881c6e542fd7b42a1fec
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Dec 16 14:29:39 2016 +0100

    update po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e06318d69562edbf42486af282877ee0d52638e7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Nov 12 13:44:08 2016 +0100

    disable gtk/gdk deprecations
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 15c816dd38c9def1615a88e5118612730f8fe486
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Nov 12 14:50:33 2016 +0100

    nuke gpaste-applet stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c284ebc54f26a15aca774381a3c714b76695f0be
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Dec 12 13:31:20 2016 +0100

    ui: select first item when hitting enter
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0923e96becbf6fb9696085d74b35b376d9bd4fc4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Dec 5 16:31:30 2016 +0100

    ui: implement close on select
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 81b6c3ef46a1d9e40909a663d90a5ec07cdd8f50
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Dec 5 16:27:00 2016 +0100

    add close-on-select setting
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8b6f59d5975b56abc2849ba91662a0631e79edec
Merge: 54cf8b44 7fd674ec
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Nov 30 14:43:50 2016 +0100

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      Release GPaste 3.22.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7fd674ec05104f047a5d74897ff89416f8ef7cb2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Nov 30 14:39:25 2016 +0100

    Release GPaste 3.22.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 54cf8b44b2c48b665ba547df60339bb8f5c0abfa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Nov 12 13:35:01 2016 +0100

    io: rename class method to fix g-i confusion
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 14f3d94056e3e73fa3e118055585b5aa59890ba3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Nov 8 10:41:02 2016 +0100

    silence g-i warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit df3cd22f8e736431f4ec958f2859d26406082220
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Nov 8 10:40:46 2016 +0100

    ui: close window when hitting escape
    
    Fixes #181
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 94331547cfd53193fe82a27a0a1a123a18cb8c86
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 23:21:45 2016 +0200

    move part of TODO into github issues
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 035695cb0fdcc4403b7b9f209198780655fb93ef
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 23:17:44 2016 +0200

    ui: add margin at the top of the settings popover
    
    fixes #157
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cd44d1e921a432e4062609c60f5224cfb500ab85
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 23:04:27 2016 +0200

    util: add guards
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e96626d2350f19ffaf68352e0dbed5604a69695b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 22:59:59 2016 +0200

    io: fix storage backend precondition
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f9922d218fdf299cd14af187c5ec8987c17adce2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 22:46:12 2016 +0200

    io: allow overriding output stream
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a885a3beae7d9f34713f447ad6d1818de2bfb1af
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 22:34:47 2016 +0200

    core:io: port history load to file storage read
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a6cd00a821d593cdc9e6840bc561f7040099e25f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 22:30:28 2016 +0200

    core/io: port history save to file storage backend
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 76dd29cfd7283ec4c2003eed948911704d94918a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 22:18:20 2016 +0200

    util: add g_paste_util_ensure_history_dir_exists
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 29612a1e9370671df6f2d3db99833e42b53b4d63
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 22:07:22 2016 +0200

    io: fix returning the size of the history we read
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8da594dc40d49ec301f05d4d87fac294bb1f6895
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 21:54:06 2016 +0200

    io: fix settings access in file backend
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 12e463833d35503c1f3c925d75687554c6f1fc10
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 21:49:19 2016 +0200

    io: further work on getting file backend ready
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3ea96fc41e6065676e86648daa4cb4bde83be043
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 21:30:53 2016 +0200

    util: add history dir/file accessors
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4dbd7568b47efede968463689f527a1c9c479666
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 20:47:57 2016 +0200

    io: implement read_history in GPasteFileBackend
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8612bfc93f595c1f4c8e8a95f026e9e9bd4cacbc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 20:37:28 2016 +0200

    util: add xml_encode and xml_decode
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0cfa0f5b3048e9bcf7b713678770d3219bee2244
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 13:37:43 2016 +0200

    io: implement write_history in GPasteFileBackend
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 33bf751f15e6a0c8c2257d443a1c664fb7544851
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 23 13:00:19 2016 +0200

    io: add GPasteStorageBackend
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 074cea2b4e368918c2ff7bc67ea0bbc2adeb1b59
Merge: 38568b15 ba65725c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 10 16:00:15 2016 +0200

    Merge branch 'gpaste-3.22'
    
    * gpaste-3.22:
      fix build with gobject-introspection disabled

commit ba65725cbd082996eab8b44089cf95cf0b974271
Merge: 38568b15 820508a3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 10 16:00:02 2016 +0200

    Merge branch 'gpaste-3.20' into gpaste-3.22
    
    * gpaste-3.20:
      fix build with gobject-introspection disabled

commit 820508a31b98861894d4c2f9e8595a604c0d80a3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 10 15:59:38 2016 +0200

    fix build with gobject-introspection disabled
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 38568b15bebf021b767ba5b906bf831851172661
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 8 09:19:16 2016 +0200

    Release GPaste 3.22.0
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6dd13d73eb275b7ed5eae1a6b737d432596d5d16
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 7 20:59:57 2016 +0200

    core: don't try to be too smart with primary/clipboard sync
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 43f271ecef388e42792f16f296b76ef786152f27
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 7 20:48:24 2016 +0200

    Revert "core: rework text synchronization"
    
    This reverts commit 92310054f81a8ef22ec79d581dc2578039914740.

commit 92310054f81a8ef22ec79d581dc2578039914740
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 7 17:50:18 2016 +0200

    core: rework text synchronization
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5a9bd8dbe1f0534192f6d8a97a93d1829e914cb1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 7 17:42:49 2016 +0200

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5ad2fc3fa43183e75190bc5a681fe132bb0aa3f2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 3 17:41:15 2016 +0200

    gnome-shell: better handle empty history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2c1b30e09f682401faef66eb914d1d0e3c7ba617
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 21 17:31:21 2016 +0200

    gnome-shell: simplify pageItem
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 13680cea6ab084cd9b873781c6ef549ab3f1469d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 21 16:53:53 2016 +0200

    gnome-shell: 3.22 was released
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 460d877c92d74c87a730258576ba55884688edb1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 20 22:53:06 2016 +0200

    pass more args to xgettext
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8444c62611dca3205f34b39fef99d825a035c5dc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 20 15:16:14 2016 +0200

    depend on released versions
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 09463fcb3aa32fe83fc452307840f7bb48b2d244
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 18 22:06:53 2016 +0200

    dameon: store clipboards contents before reexec
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 290352ceb7b8baa3a73b36e30e84fa36ec833fe6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 18 12:58:58 2016 +0200

    clipboards-manager: silence warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b158d963bca7385c46e6f63a7ec92998fce9ba05
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 18 12:56:07 2016 +0200

    clipboars-manager: let clipboard handle the GtkClipboard
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0bb24f9238607c6f34d50c8d252a9da3ec67f3d4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 18 12:53:06 2016 +0200

    clipboards-manager: drop delete events
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2de80e6181ee1c9f474387d3dfbe634114907bea
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 18 12:49:59 2016 +0200

    clipboard fix clipboard tracking when clip and primary are synced
    
    Previously, if primary didn't affect history, the clipboard owner changed
    would be dismissed if we explicitely copied some stuff, so nothing was ever
    added to the history.
    
    fixes #170
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit af089304ea242826f4937f59ff651b4d9925de76
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 18 09:50:26 2016 +0200

    clipboard: don't call gtk_clipboard_store
    
    We're not supposed to ever exit anyway.
    This ensures we always are the owner, and don't receive
    extra events from g-s-d
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cc8443566475346b4bdf01bdd4d4bc8fead618c7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 17 15:38:05 2016 +0200

    Release GPaste 3.21.91
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b0c592a3d93cdcdfba838e69b6cd11c4f01a5d11
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 17 15:33:43 2016 +0200

    update translations
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a74cb77f0925d0cb6a1116ae90fb02d2f59de2c8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 17 15:30:26 2016 +0200

    client: don't crash when piped binary data
    
    fixes #171
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 88481275b25e4f97168c3cac9e3c3517255ebfd6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 16 10:21:06 2016 +0200

    use glib's new structured logging
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d04e894fb61b2d712a28fd0baa784b8b912e8be0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 16 10:05:52 2016 +0200

    update appstream files
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d9d4bfc90df1e4dd345615e1ca9b962976e4fc6f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 14 20:51:20 2016 +0200

    gnome-shell: don't go beyond 20 pages
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 05dfae1fdb33bb565a2a7f54166792c36a260d6f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 14 20:50:03 2016 +0200

    gnome-shell: better handling of empty search results
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ed058ed988198ab75bf861a918564bb34ea597cf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 12 23:17:48 2016 +0200

    gnome-shell: fix refresh for empty search result
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8e44a0b5ed41bfe96bc2d53cd35ce611d2dd8f4a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 12 22:23:23 2016 +0200

    gnome-shell: modernize
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 427ff72c09136ba1e1cdc20ec1b0f952bb88cc16
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 11 21:44:51 2016 +0200

    gnome-shell: better handle empty history/results
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 08e1fdf446a9daee1ccfb3937f8b4fadb7c09ae9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 11 21:37:20 2016 +0200

    gnome-shell: fix deleting pages
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2a8ca0ac0d45f5da8f3e44a94f76c1cc0f2ea3c7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 11 21:15:36 2016 +0200

    gnoe-shell: make pagination more reliable with search
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b9613741f9cbfbb509ba52f1dd14d8ee59d857d8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 11 21:00:07 2016 +0200

    gnome-shell: adjust pages number for search results
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 865cb613a961ef618769ce38d215d1748da6a68e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 11 20:58:10 2016 +0200

    gnome-shell: do not display any page when history is empty
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit da06ef1d6b16467f1b910e5c0272ea3f326e8cf6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 11 20:49:33 2016 +0200

    gnome-shell: don't forget to count the first page
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b5357c4bcaf243e6b17dc4ada8098a285eb50684
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 11 20:44:25 2016 +0200

    gnome-shell: implement destroy for pageItem
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 886d977db35001950772a0c9bcd529e0fe40b494
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 22:55:21 2016 +0200

    gnome-shell: rework how pageSwitcher stores pages
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit bd92bf333e4a06b9771334b9871e9eb90f59c5e7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 22:47:49 2016 +0200

    gnome-shell: fix pagesSwitcher pages count
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 96c3b62c413f97ab0a8be3da93b45108ecd06086
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 22:44:15 2016 +0200

    gnome-shell: fix initialization
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e625ef338776e2dc12f4c50af959ad9fa9975818
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 22:38:53 2016 +0200

    gnome-shell: try to make pages number dynamic
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9bdf2fa3e58b907fb7249295e1b656964608ed6b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 22:33:57 2016 +0200

    gnome-shell: move more paginatio stuff to pageSwitcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 37929d3946d2614ca39d193df4fac310d65cde7c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 15:57:56 2016 +0200

    gnome-shell: bump max pages to 10 for now
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 58c8f267da6e9f8beb71336af6ded6acc2f48e14
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 15:51:02 2016 +0200

    gnome-shell: properly hook up page switching events
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 62aa400aaa7bbca0ad2eb41945062aa775642d85
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 15:41:09 2016 +0200

    gnome-shell: typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b717af278180d45b435fdf51aca919a83f179a58
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 15:37:39 2016 +0200

    gnome-shell: be safer when changing pages
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5597d8da0f0e5cff652cf599800bae0f62544a09
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 15:30:14 2016 +0200

    gnome-shell: fix offset in some cases
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ee51ca801f13bd6fd9149961a72c45410e3e59b9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 15:21:47 2016 +0200

    gnome-shell: move most of the page-related stuff to pageSwitcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 21d7b3545323f5df1fb1c57e70269e33ee974fec
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 10 15:01:14 2016 +0200

    gnome-shell: highlight the correct page when switching to previous one
    
    fixes #168
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d70780a34a81314264238f547f6ceed9b2fea833
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 9 23:01:08 2016 +0200

    Release GPaste 3.21.90
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7048032fcc03aa576430d09bdae3e0a2ae74af45
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 9 22:48:36 2016 +0200

    gschema is generated now
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit aefb878d28edc8946dc02bb6b3e8171f4338015f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 5 15:45:59 2016 +0200

    gnome-shell: more shell versions
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 53886513b3a228dc3790b654380e16638d6d7fe7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 4 22:01:03 2016 +0200

    gnmoe-shell: pageSwitcher styling
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ffcba67a960546655c7d505a3c1fc45e69bda022
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 4 16:21:57 2016 +0200

    gnome-shell: make page switcher non focusable
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6029bf9d486c381d971bd1d40e7eafacfb458587
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 4 16:03:10 2016 +0200

    gnome-shell: try some pageSwitcher tweaks
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ff66329d1c9ba622ff3750954fb3d9bd2da2905d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 4 15:57:58 2016 +0200

    gnome-shell: switch pages with keyboard
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d871d9d48e8f71aae0524a1946b68225990e669f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 2 09:43:25 2016 +0200

    gnome-shell: fix isNaN call
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d860c76dd1ae59cdf858d980e64e91277676a849
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 1 18:43:29 2016 +0200

    gnome-shell: preventive check
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6b1e346600267223e628913253b973ac0fb40362
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 1 18:42:01 2016 +0200

    gnome-shell: cleanup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 77b9fa9ed3f385b4f6ac92008e144fadccf196b0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 1 18:03:49 2016 +0200

    gnmoe-shell: fix pageItem
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 74cf87e5c80a4e1594abbd7d4881b0d62a026ffe
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Aug 30 14:41:08 2016 +0200

    use gtk_clipboard_get_selection
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0c1d5772ac4ae8084f94446bbe10011e27926397
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Aug 30 14:27:21 2016 +0200

    settings: use new uint64 accessors
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b6644fa9b1d35c2db65d684ba1bd3c6daa08d122
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Aug 30 14:20:41 2016 +0200

    use G_PID_FORMAT
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5e1ec94ce9ce7ed64a1667affd15c501c324c51f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Aug 30 11:17:37 2016 +0200

    gnome-shell: cleanup pageItem
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit eae7480e5fd774c7e2cf2e79688ea8668770f62f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Aug 30 11:15:00 2016 +0200

    gnome-shell: 3.21.91
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3711d25c591b71f53543b778704555e369d1a702
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 29 18:39:46 2016 +0200

    gnome-shell: typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1bc7b01bcb51b36b594d7555cc69eba8aa5fb745
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 29 18:35:13 2016 +0200

    gnome-shell: fix pageItem
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cb90b6c75c4127a585829b3e5828bddda9bbefa7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 29 18:17:39 2016 +0200

    gnome-shell: make sure page is always set
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 51f32c3f088914aeab3a34b92602bec2a5631496
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 29 17:55:37 2016 +0200

    gnome-shell: followup last commit
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f80b6e106dd6dda4b28f71b8d663cfd6395a8e57
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 29 17:52:02 2016 +0200

    gnome-shell: make pageItem an St.Button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c7c7062e32ce520692bd6b639e78bd0e722f0a6e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 29 17:39:16 2016 +0200

    Revert "gnome-shell: use actor for signals"
    
    This reverts commit 09e17426b84bf5abb4e6c04b4b11890248913204.
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 09e17426b84bf5abb4e6c04b4b11890248913204
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 29 17:35:21 2016 +0200

    gnome-shell: use actor for signals
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 04a47d3e12a2dec5048fa72f7fb9f71d9f196fb0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 29 17:30:27 2016 +0200

    gnome-shell: typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d2df176d660722a5d215dd7c4ec936b5e4add575
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 29 17:25:44 2016 +0200

    gnome-shell: improve page switcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 33374ebdb5906e5ec1a702cbdabc8c182285ca65
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Aug 28 14:47:10 2016 +0200

    gnome-shell: update page switcher look
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f4b140084fb3e240eaf35e1745f578dc9ee37692
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Aug 28 14:45:31 2016 +0200

    gnome-shell: move page switcher to header
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f1c5ed3d4744cb79f5d4969b4d9d3f8e5816716e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Aug 28 14:35:39 2016 +0200

    gnome-shell: use bundled mutter-clutter
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6bacce831fadda9e8fde38441a8d686bb94425e7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Aug 28 14:34:09 2016 +0200

    gnome-shell: 3.21.90
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a8db64150487108347ee5556449ecedabf92c529
Merge: 7e08cf79 e94d2358
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Aug 28 14:33:24 2016 +0200

    Merge branch 'pagination'
    
    * pagination:
      gnome-shell: add pagination support

commit e94d2358269a119a6380bb6d0879856c85afd9fd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 23 22:44:09 2016 +0200

    gnome-shell: add pagination support
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7e08cf79022f381f8deb29c61a41d9c5393c54d6
Merge: 2065c023 d31020a6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 28 15:54:45 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      Release GPaste 3.18.5

commit d31020a687f697f2aa889e89334ff00e4bd5952f
Merge: 6b62d0f0 4f4d60e0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 28 15:53:41 2016 +0200

    Release GPaste 3.20.4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4f4d60e09511571d10d8e614d5590b71702454a5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 28 14:52:35 2016 +0200

    Release GPaste 3.18.5
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2065c023e84fbd40fef37e45efbb947092c94952
Merge: be24c865 6b62d0f0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 28 09:34:09 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      clipboard: avoid infinite event loop when clearing

commit 6b62d0f0377616e0d34be5a51ec915e87aecaea5
Merge: 13b2d6e9 c66d5283
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 28 09:33:52 2016 +0200

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      clipboard: avoid infinite event loop when clearing

commit c66d5283f7319c4ffd3aa009f5db8f22c92f9e08
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 28 09:32:16 2016 +0200

    clipboard: avoid infinite event loop when clearing
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit be24c865a33e0882194704821e2c91a9c42ee2a4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 18 15:15:07 2016 +0200

    drop legacy entry from gitignore
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 66ae2e598f1cdd7f3020ec6edc47b9382ae25e4e
Merge: 8550c660 13b2d6e9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 14 09:01:13 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      Release GPaste 3.20.3

commit 13b2d6e95357e943cdefa2058e978d9a1e89a832
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 14 08:57:31 2016 +0200

    Release GPaste 3.20.3
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8550c66011ef311a042f9bb97ae0875bcaeef58d
Merge: a2387ae7 d917e871
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue May 24 09:15:57 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      Release GPaste 3.20.2

commit d917e87176329fcae6649e7243ada272c7260104
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue May 24 09:08:32 2016 +0200

    Release GPaste 3.20.2
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a2387ae7788dcaa5b4af0f85435e63a8f496c42e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 23 22:19:01 2016 +0200

    unhardcode icon name
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 21c998f43459be5bc0b7ea45e15704242bf85a70
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 23 20:31:02 2016 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e4af3c1bc280c90aaefae750fec3126745fe29f0
Merge: 3ba9fdee 323f08d2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 23 20:28:57 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      specify the window icon

commit 323f08d2a30eb361255f3c6f6400e06d3c469985
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 23 20:28:37 2016 +0200

    specify the window icon
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3ba9fdeef56ca88225a57cc44802ade4cba44cad
Merge: c83a217e d9ccd334
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 23 14:03:38 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      Release GPaste 3.20.1

commit d9ccd33462ba719eb34acaab668915dd544c07ce
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 23 13:58:18 2016 +0200

    Release GPaste 3.20.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c83a217e6e18e6d309929a80903e0bd32b0003b6
Merge: 07646f80 ad2ed823
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 22 23:03:58 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      Release GPaste 3.18.4
      clipboard: fix missing return

commit ad2ed8235b3d95ca2d7e30858ded4c4478bad6e8
Merge: 371c8bc5 09b9da5a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 22 23:03:48 2016 +0200

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      Release GPaste 3.18.4
      clipboard: fix missing return

commit 09b9da5a5d7cec4477cdb5c39fc1bb59d683add0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 22 23:00:26 2016 +0200

    Release GPaste 3.18.4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 909f1d5e21433fb42e716ac131f4dec9b8e04fbf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 22 22:58:07 2016 +0200

    clipboard: fix missing return
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 07646f807fe561879ace75b30865941f46d28d41
Merge: 1a934561 371c8bc5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 22 22:39:59 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      Release GPaste 3.18.4
      core: add debug logs

commit 371c8bc500febe6dbaa58fa50306ef125f18a5b2
Merge: 6f91890a d430bf68
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 22 22:39:21 2016 +0200

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      Release GPaste 3.18.4
      core: add debug logs

commit d430bf680032759323d9ecd21df35ad762825e06
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 22 22:31:24 2016 +0200

    Release GPaste 3.18.4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 889111ccde45ca188f0872c1e15e95c448fdf5d0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 22 22:22:00 2016 +0200

    core: add debug logs
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1a934561bad7ff2178969614de29005cf01819a4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu May 19 10:28:19 2016 +0200

    gnome-shell: fix search
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 81a23e19fc0166a5f59217eb646250724941fd72
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu May 19 10:08:12 2016 +0200

    gnome-shell: modernize
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 65931959a963060afc93bd03a7c75a225ee73c6d
Merge: f4ea29bc 6f91890a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed May 18 22:47:45 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      clipboard: avoid calling gtk_clipboard_store too often

commit 6f91890a9b300be9b514dd4105972168768c3e50
Merge: 42b5fc8a cdcb2e94
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed May 18 22:46:40 2016 +0200

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      clipboard: avoid calling gtk_clipboard_store too often

commit cdcb2e94195c0dfeb47376b33ac6446b4fd9d0b3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed May 18 22:45:03 2016 +0200

    clipboard: avoid calling gtk_clipboard_store too often
    
    Avoid hitting some racy code in gtk+
    
    Probably fixes #151
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f4ea29bce08538b06b03e8624a5128bd7e37208a
Merge: 088328e8 42b5fc8a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri May 13 16:31:48 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      gnome-shell: ensure we're disabled before enabling
      clipboard: update erroneous comment

commit 42b5fc8a196e48b0e9026d96eccee547513f60ec
Merge: 58b896ae 9f1b2ca4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri May 13 16:31:38 2016 +0200

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      gnome-shell: ensure we're disabled before enabling
      clipboard: update erroneous comment

commit 9f1b2ca4aebe0a06bb76303c5dfa63469ad2e34d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri May 13 16:31:13 2016 +0200

    gnome-shell: ensure we're disabled before enabling
    
    fixes #149
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8fb9dc67e42500f91d69af698f82ace0c4205671
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri May 13 15:51:21 2016 +0200

    clipboard: update erroneous comment
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 088328e88924505a78ff6d137da93ffb973d2bbd
Merge: 4f4b24a8 58b896ae
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 30 10:38:19 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      daemon: don't crash on search error

commit 58b896aed0fc4e245d0b4d0ee46baff489e8bf31
Merge: 3503fcab 84127bca
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 30 10:37:50 2016 +0200

    Merge branch 'gpaste-3.18' into gpaste-3.20
    
    * gpaste-3.18:
      daemon: don't crash on search error

commit 84127bcaf1a292133df3a99e5a143b490a9fe8d9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 30 10:31:07 2016 +0200

    daemon: don't crash on search error
    
    fixes #150
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4f4b24a803d9cb1374b8093f7692d00d6643d2b9
Merge: 6c596979 3503fcab
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 2 12:45:13 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      clipboard-watcher: fix linkage

commit 3503fcabcd48c53f5d9ba94ecd94569db6323b63
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 2 12:45:03 2016 +0200

    clipboard-watcher: fix linkage
    
    With some toolchain, we would fail with undefined references otherwise
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6c596979c76748c5bc4173f0ab5ea6cdf13bfbd9
Merge: 86a95bd6 2e8a25b7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 27 11:04:08 2016 +0200

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      ui: ShortcusWindow doesn't have private

commit 2e8a25b7865e62227d8a672840895d33b4766358
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 27 11:03:59 2016 +0200

    ui: ShortcusWindow doesn't have private
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 86a95bd6f53cea66bf4c25f90b34b70a7bfade0b
Merge: 6175236a b74948d7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 23 21:02:11 2016 +0100

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      post release version bump
      Release GPaste 3.20
      gnome-shell: drop legacy cinnamon stuff

commit b74948d79cfd752c9ba5c125b1e7c326cb7512ec
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 23 20:50:24 2016 +0100

    post release version bump
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 808f22ff5688703a173fcff20d641720a739e585
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 23 20:49:26 2016 +0100

    Release GPaste 3.20
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ee21dbeadbbdd7964c378c5265e89daedda19ddf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 16 23:38:42 2016 +0100

    gnome-shell: drop legacy cinnamon stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6175236aea0b25688aa6fa1df615e55c8269b929
Merge: bb5884ca 4d78873b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 16 23:19:09 2016 +0100

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      gnome-shell: fix menu when no search result

commit 4d78873b5f4291ce0ad83f9232d7f42be7439903
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 16 23:19:00 2016 +0100

    gnome-shell: fix menu when no search result
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit bb5884cab3eec40482c1e816e28409bce28f2305
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 15 23:09:43 2016 +0100

    fix distcheck
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4e73e1ca187f92ea5ef1aa30451c6af4af07902c
Merge: 9ef455fd 490158db
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 15 23:06:26 2016 +0100

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      fix build
      update-po
      ui: add a placeholder when no search results
      gnome-shell: add a placeholder when no search result

commit 490158dbdb3693012be68df3103b855c13e91441
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 15 23:04:20 2016 +0100

    fix build
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ed90af65a4b00916422e53403824482d3f8754cb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 15 23:02:23 2016 +0100

    update-po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7bed95cb799a16fa0be7aa38ea82396b3786cac3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 15 23:00:32 2016 +0100

    ui: add a placeholder when no search results
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fb8bcfceedfd4595c5bccdf2d4441d985cbf8905
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 15 16:21:50 2016 +0100

    gnome-shell: add a placeholder when no search result
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9ef455fdeb876a9af198bc9696cf6243b462e25e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 14 10:13:44 2016 +0100

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 05d1b0a4978057220c94196d4296440610bb886d
Merge: e927e29a 93332b65
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 13 22:15:16 2016 +0100

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      core: check if we're a remote from a running app

commit 93332b65be35d0f1f71b5db56fbdcf557e5fb598
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 13 22:07:39 2016 +0100

    core: check if we're a remote from a running app
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e927e29a92bfa47ec543908302aee9b83223c8d0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 12 23:15:11 2016 +0100

    update-po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7a2a21324c751fed9e49952a6d0f95c073bf56cd
Merge: 827f7f7e 511c02db
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 12 23:12:00 2016 +0100

    Merge branch 'gpaste-3.20'
    
    * gpaste-3.20:
      reilcense as BSD-2

commit 511c02db5dcfb6463ac127eb0deab278d0f45422
Merge: 6ec54acd f50ad543
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 12 23:11:14 2016 +0100

    Merge branch 'bsd2' into gpaste-3.20
    
    * bsd2:
      reilcense as BSD-2

commit f50ad54316995759d332d0b1e965ed04b70cd3b6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 12 22:39:04 2016 +0100

    reilcense as BSD-2
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 827f7f7e3865fd0bac742aa173d31900e02f46bc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 9 11:17:23 2016 +0100

    control-center: tweak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1888a9c816e1f37f9eb3eb562c2816e68a4b166c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 9 11:13:59 2016 +0100

    control-center: fix gettext integration
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f7ac0ae02119833366ff79eacb9fbc1a98196385
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 8 17:28:41 2016 +0100

    gsettings: fix gettext integration
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9c137397814fe8862af7cac00aa4823f58e8ab21
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 8 17:21:51 2016 +0100

    gettext: fix domain
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 30c7eca77ae6a09cc84f768ac18fce72ab14cdbe
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 8 17:18:26 2016 +0100

    appstream: fix gettext integration
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 178618369b122009acd9bb18d8260ded4ee9ab23
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 8 17:12:45 2016 +0100

    appstream: fix build
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 398b103ad4e977f6cca1d6fec03885ec195609f8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 8 17:02:09 2016 +0100

    bump version to 3.21
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 35d637e058dbc90bf4c0160a3d42c850677a3a0d
Merge: 575ca35c 2fe7093e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 8 17:01:13 2016 +0100

    Merge branch 'next'
    
    * next:
      unify the way we connect to signals
      update-po
      i18n: switch to plain gettext
      control-center: don't try to translate
      ensure minimum pkg-config version

commit 2fe7093e71d79531a4d4f2ca7c9a28b58b51d299
Merge: ae328d32 6ec54acd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 8 17:00:56 2016 +0100

    Merge branch 'gpaste-3.20' into next
    
    * gpaste-3.20:
      unify the way we connect to signals
      m4: don't check for cflags already in Wall

commit 6ec54acdddbbb39aace475ed37111ec7a8613017
Merge: 575ca35c 98aea953
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 8 17:00:32 2016 +0100

    Merge branch 'signals' into gpaste-3.20
    
    * signals:
      unify the way we connect to signals

commit 98aea95318da81579489163d5e66040025f84e14
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jan 16 23:12:38 2016 +0100

    unify the way we connect to signals
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 575ca35cc67c15f8409fbfd64aa4fe0a0894555e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 8 16:13:56 2016 +0100

    m4: don't check for cflags already in Wall
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ae328d32109f47d2a43df2f63c1c5127b89adfc1
Merge: 4e8ede55 3edbdeb6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 7 19:38:01 2016 +0100

    Merge branch 'gettext' into next
    
    * gettext:
      update-po
      i18n: switch to plain gettext
      control-center: don't try to translate

commit 3edbdeb60f23a815e6f48071a85a1ac1c935fd00
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 7 19:19:39 2016 +0100

    update-po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ebd386c19226f40ade27d338c5135eecafc8ee70
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 7 19:19:32 2016 +0100

    i18n: switch to plain gettext
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a41f29ca5715cb29a2f812847752dd729d334982
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 7 19:13:50 2016 +0100

    control-center: don't try to translate
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4e8ede55d2fe1921cfae8a5b0ae8cb8270fab0e1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 7 16:59:57 2016 +0100

    ensure minimum pkg-config version
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2185327af3be2b9efefbd5c45380701778845bee
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 4 11:22:15 2016 +0100

    daemon: treat non-utf8 file as image
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6b1ca70164c369fb947208f473f9ca304d80ebed
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 4 11:30:12 2016 +0100

    history: don't hit an assert when adding a too large item
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0737153875e35e2cd708bdd4ec7e54cde6217134
Merge: d9b61b0f 4eaa19a8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 23:41:53 2016 +0100

    Merge branch 'shortcuts'
    
    * shortcuts:
      drop punctuation from translatable string
      ui: add shortcuts window
      keybinder: switch to GdkSeat
      build-sys: dep on gtk+ 3.20
      ui: fix chainup to parent type

commit 4eaa19a8dded2e0c026c181d3eb3482d53138be8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 23:36:06 2016 +0100

    drop punctuation from translatable string
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c9b157b2bfdb7d46450e1b2b5e6e56ac460761b4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 22:07:12 2016 +0100

    ui: add shortcuts window
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 506108a461fd36a33c49c0dbdaf2628b5a38dc51
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 22:25:16 2016 +0100

    keybinder: switch to GdkSeat
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 364d0011c326c4c7f8bca94dabd2bdf6b0b37c29
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 22:08:17 2016 +0100

    build-sys: dep on gtk+ 3.20
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 31e6d9f58d6688d47762faa5bc302bd2c72c05ae
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 22:04:10 2016 +0100

    ui: fix chainup to parent type
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d9b61b0f84789d7c0458e80817abd8f523b1d979
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 21:43:15 2016 +0100

    introduce and use g_paste_str_equal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit bb267171ff02eb99be2ec68d1f123a80bd1a9c25
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 20:51:11 2016 +0100

    gnome-shell: allow gnome-shell up to 3.20
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 19030b367875ef0bfa148c0d2bc8511934b21b79
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 17:33:45 2016 +0100

    use g_str_equal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a5a4ec9354e5f8972a644c539fcbd61f31b75921
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 17:29:42 2016 +0100

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e0a3d4a7b1e9a21cf4f24a8b2a69674fa46b9209
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 17:22:16 2016 +0100

    enable misleading-indentation warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3c74807576949d8a351b8e822a03da51f04998fe
Merge: 603a6557 672ab3d8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 17:19:08 2016 +0100

    Merge branch 'const'
    
    * const:
      constify lots of things internally
      add more macros for const manipulation
      add macros to create const abstract types
      add macros to cast const GObjects
      update TODO

commit 672ab3d832309f5579a204343653bcb6b5467740
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 16:23:06 2016 +0100

    constify lots of things internally
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ba7418b8756e2cf0fbad395245054305d963c095
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 17:06:03 2016 +0100

    add more macros for const manipulation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8cd2151811f4746f6e40585977ed3ed37c55eaf9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 16:22:53 2016 +0100

    add macros to create const abstract types
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2692156b6aa0bc01134fa24d1ce9fa77cda0b412
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 16:22:37 2016 +0100

    add macros to cast const GObjects
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 72e44f1bab6a02b2c9183d17942d3eb1fc6cd3cd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 3 16:22:03 2016 +0100

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 603a655700980ade1d3c9689d86b1aba0653108e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 1 14:55:29 2016 +0100

    daemon: avoid duplicate password names
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fd3b7ce807e89d9e24a3ce94554cd632d98eb491
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Feb 22 09:02:17 2016 +0100

    change icon name
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f864073994277884a1e34152c38593fa05fd451e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Feb 19 22:03:42 2016 +0100

    don't run gtk_init explicitely
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5a194c8d4a06208066a7a9d189a6aa4149671ab4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Feb 19 22:01:35 2016 +0100

    gnome-shell 3.19.90
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b2b6e0ceec390197302649f87207361ce185fabc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 24 11:19:17 2016 +0100

    macros: add macros to define types with private const accessor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 17474848e3619da5c1eb8b09986b2590e392d772
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 24 11:08:20 2016 +0100

    macros: add a const G_PASTE_IS_* for each type
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e18da6ef19b4b4251d8718447ccd90006620f2ff
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jan 23 18:20:54 2016 +0100

    gnome-shell: 3.19.4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit dc1185bcbd4d25a185f1e448e3a6b3b34c1aef1f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Jan 20 13:36:45 2016 +0100

    drop old READMEs
    
    They're probably not up to date and there are official packages now
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3f7f55659fd7c6597fd4250a0e5ead8a40f7e41b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 18 22:42:23 2016 +0100

    ui: fix header bar buttons alignment
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a4e6d4ef8b2be8d7212c583252d8c740df102b21
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 18 22:19:48 2016 +0100

    ui: only focus search once realized
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9183919c5d535e8174d4ed0bd1a1f68ede005d22
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 18 22:15:00 2016 +0100

    always name GSources
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 27fae6b3d56eee5a809255b2d72f34feb98923f0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 18 21:44:51 2016 +0100

    add systemd user units
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d1b3e8dc203b814c57dbadf164270e81b11a9ffb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 18 21:33:44 2016 +0100

    configure: check for systemd user units dir
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b65800d83d9afadad8b77d225a0845591c123cbe
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 18 21:32:04 2016 +0100

    ignore appdata.valid files
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 00a52101fe7609b553a228a78b2f05236868ae39
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jan 16 09:20:00 2016 +0100

    gi: silence warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0688e80662ef7c7e401b354c6eaa2c8e3506c28d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jan 16 09:16:36 2016 +0100

    gi: drop invalid return tags
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8a9787b64c9980b8e1660f11ef6c72b422c415f5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jan 16 09:07:46 2016 +0100

    gnome-shell: 3.19.3
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 73790ea1d23698d9914f7e625bb84e5f43d0c4f7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jan 15 15:07:19 2016 +0100

    ui: cleanup item leftovers
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 428fc9e0e868d09a9deda08d227196c6e928717d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jan 15 14:16:55 2016 +0100

    ui: use class signal functions as much as possible
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 87aabbcfcf15cb58952b6b5925a53c39cff09f63
Merge: 56829e7f f5cb24d8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jan 15 13:38:06 2016 +0100

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      Release GPaste 3.18.3

commit f5cb24d8fd79d1e9657d15566e64c8a2e1b97f9a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jan 15 13:30:28 2016 +0100

    Release GPaste 3.18.3
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 56829e7f761fb06c52b6d2f1fe258c6c8916d41f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jan 15 12:47:54 2016 +0100

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 556f4011a5016edcc3d0cb778d86160ec5ae08b0
Merge: ee87918e 2ccc6b21
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 11 14:35:57 2016 +0100

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      select item if nothing in clipboard at stratup
      clipboards-manager: use new clipboard method
      clipboard: add ensure_not_empty
      clipboard: don't bootstrap with image if images support disabled
      fix warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2ccc6b2190ed3e0e46ca6f7b5bd52c6907c1edf4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 11 14:34:50 2016 +0100

    select item if nothing in clipboard at stratup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ba38680261b15bb51f14cd8833e4517491ed7fff
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 11 14:31:26 2016 +0100

    clipboards-manager: use new clipboard method
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5e25c7a03098bcf75ead9b5adc3214dccce4b329
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 11 14:29:54 2016 +0100

    clipboard: add ensure_not_empty
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ffa6093730b59859a06f83963d5c2376b8218334
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 11 14:20:52 2016 +0100

    clipboard: don't bootstrap with image if images support disabled
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b72dc1e141b0fcfb8d94ba0e694f7e8d81f41423
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 10 15:40:57 2016 +0100

    fix warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ee87918e34e46f98711a2a6b2e8179e503007541
Merge: 645dba93 59261140
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 10 15:37:09 2016 +0100

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      clipboards-manager: clear the clipboard when needed
      clipboard: add a way to clear it
      clipboards-manager: never allow empty PRIMARY when synced with CLIPBOARD
      clipboars-manager: simplify

commit 59261140774236fdef4355ea2dba196ab941f2f9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 10 15:35:59 2016 +0100

    clipboards-manager: clear the clipboard when needed
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit aad54fe63f7a0915b70109ba880d323cdb52fb55
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 10 15:35:17 2016 +0100

    clipboard: add a way to clear it
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1c4f21b2b3a154165f80ed8f5318b30fe93f8124
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 10 15:15:51 2016 +0100

    clipboards-manager: never allow empty PRIMARY when synced with CLIPBOARD
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 88f04f8943f7482fa9d87efbba3d913833196e50
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 10 15:07:35 2016 +0100

    clipboars-manager: simplify
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 645dba93781555b29ce3b4ea9b612f2601ad0e86
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 10 15:15:51 2016 +0100

    clipboards-manager: never allow empty PRIMARY when synced with CLIPBOARD
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8d6d772507bb6a1b0a03418ec29943cf37f6f45f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 10 15:07:35 2016 +0100

    clipboars-manager: simplify
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 54efe3105e386902cb08cd8c15f1858f9a7cf650
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 10 12:39:27 2016 +0100

    nuke gulong
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8afe285b622aeb4964f8443cf953fc74f2399935
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Jan 10 12:26:19 2016 +0100

    move clipboard-watcher out of tests
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ea5d658be9209c967502d47d1ca65550aede50e0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jan 9 12:55:26 2016 +0100

    skip clipboard-watcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 88c6834ced375713cb0042e50bef6ba5a4d9819b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jan 9 12:52:49 2016 +0100

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7047b532de564f10251fd39aaa2296ae68904f1f
Merge: 34730f1c 233f6640
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jan 9 12:50:39 2016 +0100

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      clipboards-manager; plug a memory leak

commit 34730f1c035e5951fa3f2598b2e4bf0570260899
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jan 9 12:33:41 2016 +0100

    tests: add a simple clipboard watcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 233f664090eb5105c40949633acbe4b13b9e0b8f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jan 9 12:49:48 2016 +0100

    clipboards-manager; plug a memory leak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 216fb6d648f8e2b34106fdd5bf89eb58d1dc233a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jan 5 11:10:49 2016 +0100

    start working on a .clang-format
    
    We'll need to wait for 3.8 though for some needed features
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0c40f3128578d852c4a418e3f268c25e2980e9e5
Merge: b456df20 02578055
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 4 15:41:40 2016 +0100

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      gnome-shell: don't handle hover in search popup menu item

commit 025780558e691012e4f19d2a86cc69f3fa0112e9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Jan 4 15:41:27 2016 +0100

    gnome-shell: don't handle hover in search popup menu item
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b456df2004df6c4b0b9e7748828939e9e0377766
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jan 1 15:56:19 2016 +0100

    typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit dcef0471cbf4b52491ff50a34e086c91a2d9e851
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jan 1 15:47:09 2016 +0100

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 53286f05295451a2d5353c6bfc36043a07452fa5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jan 1 15:37:02 2016 +0100

    automatically install bash and zsh completions
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c710a3bad77641e41fc179d263c021f8e6b4b638
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Dec 14 18:48:41 2015 +0100

    update po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 498b87c09101d11aec967da6338c5adb8bd5f153
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Dec 14 18:42:44 2015 +0100

    client: fix context init
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 832ce42241b1c98774fef0d3b677b03acd7d1176
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Dec 14 18:38:39 2015 +0100

    ui: add new
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit aed026027bc513cf6876cdc9a56c6a432c554b82
Merge: 549b7f67 2739729c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Dec 14 18:38:29 2015 +0100

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      ui: fixup edit

commit 2739729c6fff13db98f9188f02797c97cf58a392
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Dec 14 18:37:54 2015 +0100

    ui: fixup edit
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 549b7f674e3ad54c246bf27470fb80109f6cbd4b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Nov 18 11:33:06 2015 +0100

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6d030a10c0fcc7b7a5dafdf880d5ebc4687df6dc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Nov 10 15:53:37 2015 +0100

    util: make pid stuff noop on !unix
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 008ec9e3198d69d46baa0d6349c724a8450ba455
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Nov 10 15:37:36 2015 +0100

    build-sys: more cppflags, less cflags
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ef654f86dffabf11b1ab5aea3326494ecdd3a1b0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Nov 10 09:02:28 2015 +0100

    util: move pid file to a component-specific location
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0df68dd1998e6d4b62761075e789819abe07f830
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 19:43:41 2015 +0100

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 491ec84c71e98b3d3c1146c096f48c328271f9c2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 19:43:33 2015 +0100

    client: support additional parameter in abckup-history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ee3b4735221606a35b507655054e7fa9575c3341
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 19:43:23 2015 +0100

    client: support additional parameter in history-size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cdc0ee95be03567e3f84f01fc76aa82a82ff98b4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 19:43:03 2015 +0100

    client: support additional parameter in empty
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b4e9325e7bdceb94d4d462577bfe91777179c215
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 19:42:34 2015 +0100

    client: make delete history parameter optional
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a887e398a822c17a41b7bd589daa42202362b4c8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 19:41:56 2015 +0100

    client: fix dispatching of commands with optional extra args
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d3b39a02dc9f8a9f354c2cc838ee5f00a90b1b30
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 19:12:42 2015 +0100

    util: be nice, just in case
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9f951d79f5fdc7753983c16da78da58ba5e7f151
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 19:08:32 2015 +0100

    client: don't use pid_t
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 56ee0af2a53604f19353494621af8ffe703cae57
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 19:01:29 2015 +0100

    daemon: always name GSources
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 623f889ef5ce04b5da4750be1e1d49fa5768d677
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 13:34:58 2015 +0100

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4167b5768e075160acb76c71b78fbd03e9b19299
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 13:27:17 2015 +0100

    clien: fallback to USR1 for reexec'ing
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 33ae0c7efc3ca5c1eab077af838686bb6b04fa20
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 13:19:34 2015 +0100

    util: add g_paste_util_read_pid_file
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a0fef43ce742af9a2f601700c0e9fb85901cc554
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 13:02:51 2015 +0100

    daemon: write pid file on start
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 49f21fbe47f27e1e9ee56d013c3a40752a53b92e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 12:51:45 2015 +0100

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cd3b101c3e4d06489514a21f922868d877ec97ad
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Nov 9 10:54:01 2015 +0100

    daemon: reexec on USR1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 08add9af2ddd66d5d80fb764bdecaef51658a518
Merge: 7cbe1f63 14cd4ea6
Author: Marc-Antoine Perennou <Marc-Antoin@Perennou.com>
Date:   Thu Nov 5 21:58:27 2015 +0100

    Merge remote-tracking branch 'origin/3.0'
    
    This was never cleanly done, fix this.
    
    No code change

commit 7cbe1f63004a77d575e82eede28d5e4e63cb5256
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Nov 5 09:28:40 2015 +0100

    more m4_define
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c4f5828a95c6b26788e0b23c9c7ed14ff8030e85
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Nov 5 09:09:52 2015 +0100

    use m4_define
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit bd3e8143a85e436a1c40215d226522c7f1651a0b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 29 20:59:39 2015 +0100

    daemon: use glib unix signals helpers
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7c52a4e800ac3f0b577a142d9a3be1bc0b66896e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 22 17:18:37 2015 +0200

    client: better detect valid pipes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9808294d9bf3d8bce303b0085eff763049217990
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 22 10:26:28 2015 +0200

    drop outdated finnish translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 18c4055001dd4f41bfeff49121d8a232316607ab
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 21 15:04:25 2015 +0200

    client; support being piped nothing
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 17a5edf69d515a059e51718c207cbccefb3547a2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 21 11:26:18 2015 +0200

    client: fix displyed error message
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1fb2a9f763510ac24d5f960f283b212e165d02db
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 20 10:00:47 2015 +0200

    drop WIP winnamon stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 11e53fb989b64201adf0197b426cc8b850f383a7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 15:33:22 2015 +0200

    gnome-shell: drop now unused import
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7978b6d9f60e989e6ec8345388755c76b4746dd8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 15:06:34 2015 +0200

    gnome-shell: use upstream arrow constructor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ae35d9f889827f4d4adbe45d8cffee323fbc4fb7
Merge: 6cab9915 a041ca0c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 15:05:12 2015 +0200

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      Release GPaste 3.18.2

commit a041ca0c3207131c71da6d2e01077a9772112b05
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 14:51:20 2015 +0200

    Release GPaste 3.18.2
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6cab9915bdb3772cbe5515908640abf842cf5577
Merge: 0150746c 5ca1d4fa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 14:40:05 2015 +0200

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      ui: wait for main window to be realized before poping about dialog
      Revert "util: only show the first window"

commit 5ca1d4fa20a66c5b3cc43fd85f12ab19f09bef9b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 14:39:54 2015 +0200

    ui: wait for main window to be realized before poping about dialog
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0efc1c520dc0324571a9bff4b347484c911a7151
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 14:33:33 2015 +0200

    Revert "util: only show the first window"
    
    This reverts commit f31b08adf1b2032b8d7b505811d470657583493c.

commit 0150746c61825ce90689ddd4f3288801a78f70a5
Merge: cb5d4cdc f31b08ad
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 14:31:21 2015 +0200

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      util: only show the first window
      daemon: fix emptying current history
      gnome-shell: fix empty
      update brazilian portuguese translation
      ui: try to fix race showing about dialog
      legacy: fix disabling legacy-cli

commit f31b08adf1b2032b8d7b505811d470657583493c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 14:30:57 2015 +0200

    util: only show the first window
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d5da82f02ffc2eaaef398101859b9ec680b5ab89
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 14:20:40 2015 +0200

    daemon: fix emptying current history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 07ede508a556915ca6c4caeb9ad741593d6c3d7d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 16 14:08:10 2015 +0200

    gnome-shell: fix empty
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8e80be962e0a96855f5f96fbdbc3b3d932b43d1d
Author: Elder Marco <eldermarco@gmail.com>
Date:   Sat Oct 10 20:07:28 2015 -0300

    update brazilian portuguese translation

commit 55954ce2a378445d2a8317c4850add9f615fba14
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 24 14:03:11 2015 +0200

    ui: try to fix race showing about dialog
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 97b2233315c0adfa688d8223c25943e4e444fb46
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 14 23:58:21 2015 +0200

    legacy: fix disabling legacy-cli
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cb5d4cdc048faa416a4a0686cdd51aa20e5fd3de
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 12 14:40:30 2015 +0200

    drop legacy cli
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8e56f4043ecadbf795f111e4ccf1150a87b9c9c1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 8 21:04:23 2015 +0200

    check-includes: update shebang
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6b2215ba393923f716d23d74718c00bc2fc5b5e8
Merge: d7fbf23d d79d7135
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 12 09:17:38 2015 +0200

    Merge pull request #130 from elder/master
    
    update brazilian portuguese translation

commit d79d71355f29810c51cc78bcd3ba869ff16ee245
Author: Elder Marco <eldermarco@gmail.com>
Date:   Sat Oct 10 20:07:28 2015 -0300

    update brazilian portuguese translation

commit d7fbf23d77856222ad1f0ba36a30237333fbb02c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 8 09:52:21 2015 +0200

    core: silence arning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3e6b9328fe2ef0335f7043d42dfb4302597dd031
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 8 00:10:06 2015 +0200

    rewrite check-includes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ee4f6eda476a329c35463b85b9337228b8f52ea4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 7 23:09:16 2015 +0200

    update THANKS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 37cd7d7d04a201254e68bf7b96459850e24bb836
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 7 18:57:06 2015 +0200

    ui: make histories in panel a GList
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2c8e1561fb5eb8417511799ae2efa689ea709183
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 7 18:37:14 2015 +0200

    core: store history in a GList
    
    improves performances on deletion
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0f22e90ce39817aca5c94452fd33ddfdc8a41d3e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 7 18:05:25 2015 +0200

    libgpaste: set G_LOG_DOMAIN
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8b7f2437e9b9550f8d26af46485ef9c114c34fd8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 7 18:03:26 2015 +0200

    client: use STDIN_FILENO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1c49be7ef975cec5cbba583b264bd3f810eae7fe
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 7 18:00:23 2015 +0200

    applet: refactor
    
    dedup the code, move unity specific stuff to src/app-indicator
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b3b1b9b97107bd1187335d98ea01fc930442c492
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 3 15:37:36 2015 +0200

    Modernize automake
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fc06780f0f2fbd714b35aea963d14e91fe20a893
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 30 22:08:40 2015 +0200

    enable cinnamon for distcheck
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 04901e5d77cb2ef926b4ea37480a1b5135dbe654
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 30 22:07:01 2015 +0200

    udpate TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 58f563d8e79c5fca2a2835475f6ad8cfb73da838
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 30 21:55:49 2015 +0200

    client: be safer
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0f6f2470e506a6d318f8559c518ca2acac066e26
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 30 18:27:25 2015 +0200

    require pkg-config 0.27
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0b41c299a86cb7bed14478b06f3fd20cb81453e7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 14:23:31 2015 +0200

    Revert "client: simplify extract_pipe_data"
    
    This reverts commit 099ef1dd3bc14d8b6629c902ca6b5c234ae747d5.

commit 5b093217cf6944b1d17f4dc18f73f2c9be220fc7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 14:02:50 2015 +0200

    fix distcheck
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 099ef1dd3bc14d8b6629c902ca6b5c234ae747d5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 14:02:23 2015 +0200

    client: simplify extract_pipe_data
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d3547ab3fd6dfe3cb800f11e506fdcef12b8cf57
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 13:41:06 2015 +0200

    client: style
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 02a6538eb28e3d695c3df3a0dedec095e12aa926
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 13:40:13 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8515b2ea44ba4f6c1e558a21a300d84955bfa73e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 13:17:59 2015 +0200

    client: refactor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit caaea93fdc9f1ac4bcf9bd6b2948c4f509ef9482
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 13:11:02 2015 +0200

    client: split extract_pipe_data
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 59eaa227790b90fe2df3ff3f7059f88ebb3cf182
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 13:09:28 2015 +0200

    client: cosmetics
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fdc06d12517dbe89771378d3d3a2b878380111cf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 11:32:45 2015 +0200

    client: fix piping to add
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 263cc73448e8ae4a482c9d2dbf1d89a03656fc70
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 11:30:33 2015 +0200

    client: hook up pipe in dispatcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 20b15579fe958b506897c6da5fa56ff2aca71093
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 11:27:07 2015 +0200

    client: replace: make second argument pipe-able
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 080cf3035c8cc84d35d42c05c5a6abdf33c7a430
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 11:25:24 2015 +0200

    client: add-password: make second argument pipe-able
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 154902e1d32df8ee7e7cc3a01834577a88a9c7c0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 11:19:22 2015 +0200

    client: downgrade some ints to gint
    
    argc is always an int anyway
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 351fcdf49475582cd503720ad9612f710448d930
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 11:16:16 2015 +0200

    client: split dispatcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit bf7746d931faca96f0b919149498367fe5617363
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 11:08:40 2015 +0200

    client: port merge to dispatcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit abdd8cbdf87be45346d7b6d008cfe52fa083d72c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 11:03:28 2015 +0200

    client: port all argc=3 to dispatcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d167ed22af208b7c9c3d40964f1bbdba470a2745
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 29 10:15:15 2015 +0200

    client: port all argc=2 to dispatcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1755ac71d82ad052f86199f518a8bd36c0b804af
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 28 15:29:39 2015 +0200

    client: rework extra args
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b48636524718cf027d18df0dc7f073ba85b5278d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 28 12:17:25 2015 +0200

    client: port all argc=1 to dispatcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 47fc075dfb2edeaed7d5f6630cdf1ebfdec4e3b8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 28 11:42:33 2015 +0200

    client: add FIXME
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d228c201b4432f856a91e04e6076b4489147f88d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 28 11:37:04 2015 +0200

    client: add get to dispatcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 89e6292883c0b5a10b25b4e28db75e9d3efc3a2c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 28 11:27:32 2015 +0200

    client: store argv in Context
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 56425e70fc33660ba2e42af671579a01644d832f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 28 11:24:46 2015 +0200

    client: tweak parse_cmdline
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d9c2241cce302544adc32f8e02f619cab7eeaf03
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 28 11:17:54 2015 +0200

    client: make flags take precedence over verbs
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e587e171bb3bc09e39163b186157f56eaeed59dc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 28 11:15:15 2015 +0200

    client: clear error when needed
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 24b305ee884f66d009f31c46e771e1dc05d5e1a6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 28 11:12:20 2015 +0200

    client: use dispatcher for show_history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9ad08febd6cf36a29d5b5f391e0e1414e2284c58
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 28 10:39:00 2015 +0200

    client: start command dispatcher
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a96ca3572b6b4507e2e6ef2ce76d1e7a3bc32593
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 20:09:36 2015 +0200

    client: simplifications
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ef4714917535ae55352d00ff6cf40b9995da7bad
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 20:05:55 2015 +0200

    client: split cmdline parsing
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c0757b8cc27dc8a780d8f0b5d2ffcd6227e763fc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 19:45:20 2015 +0200

    client: rename source dir
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 070820783526cc95cc27b56b7c86e94d75fcc785
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 19:44:32 2015 +0200

    client: move state in a Context object
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit dd022a48df40486f4c3fe94da7c2b63a86f26350
Merge: c9199fb7 446f7c3a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 14:15:46 2015 +0200

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      Release GPaste 3.18.1.1
      use glib stuff to detect visibility

commit 446f7c3a7f27a7d09f02e89abf04935febb7db1d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 14:13:52 2015 +0200

    Release GPaste 3.18.1.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e3c2cfb1392c878a37cdc418761f2e08132c462b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 14:06:41 2015 +0200

    use glib stuff to detect visibility
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c9199fb734685f0adbbe2d4ade3ded82d5f7f687
Merge: e561b0a4 6eb9a804
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 13:58:05 2015 +0200

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      use G_GNUC_NORETURN
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6eb9a804acd8290d778bc9a854a71d9358f76f8a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 13:47:26 2015 +0200

    use G_GNUC_NORETURN
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e561b0a4fa1c6b019a7b980e12f1707a03570253
Merge: eb2ad598 1e5d4bfb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 13:22:16 2015 +0200

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      Revert "use autotools visibility check"
      allow-none -> nullable
      g-i: use optional where appropriate

commit 1e5d4bfbfaef24db6586540359a23688d34decab
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 13:21:57 2015 +0200

    Revert "use autotools visibility check"
    
    This reverts commit 541d96dd40161b9fbae1d29ac4df2907cd7a668c.

commit eb2ad598ef366e0c0cdd541d753fc91569650ab8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 13:14:51 2015 +0200

    ensure visibility available before using it
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6cdfd8700a3a2f3fd049b7517a16b28f7bcfcd57
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 12:40:55 2015 +0200

    let gl_VISIBILITY handle fvisibility=hidden
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a6f00159c8c0d52d2b2eed37cc65e9c698f33b64
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 11:46:02 2015 +0200

    configure: cosmetics
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 120869d729674ebd80de3a28ca427aaa7ae238e1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 11:40:20 2015 +0200

    DEFAULT_HISTORY -> G_PASTE_DEFAULT_HISTORY
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 594facc461fe559f9d0c8d6e6f6989e589b29391
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 11:38:15 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d1c1a1aa90dd2778ab2fc43cb48cb1a53f618195
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 11:37:53 2015 +0200

    require automake 1.15
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d6150cd121fa658d2a64cb959adc7bb61ae905fa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 11:34:18 2015 +0200

    move flags list to m4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9a00a717dccf8aaabd173ada246c9c18f095d7fa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 11:23:09 2015 +0200

    get rid of attributes.m4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 698bd336e83c8442c72d1a2b3a24358e20ef93f2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 10:47:18 2015 +0200

    m4: use AS_TR_SH
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit da0bf7540ca581d1b81c1eea145e201ffadcacea
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 10:40:14 2015 +0200

    confgure: use AS_IF
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 87f4720c0289d191d20f25574c88301ca80fa38f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 10:32:31 2015 +0200

    ui: split set_uploadable from set_editable
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d781dbf352e96abb24bed279ee724b47562b785c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 10:18:06 2015 +0200

    detect if gnome-shell is there at runtime
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1c1d0c47c1c9aade07c41f1392de03c47dea9ceb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 27 10:10:22 2015 +0200

    util: introduce g_paste_util_has_gnome_shell
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7e05c29443d78679b0853c998f1e00eda154455b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 23:35:39 2015 +0200

    udpate TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c49a6e5974a663808018d93822ef0f9951e7dc1f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 23:32:45 2015 +0200

    m4: simplify G_PASTE_ENABLE
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1e2083892047a87ed9c1c57b4c1988e116c06a2b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 23:24:40 2015 +0200

    m4: drop old comment
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 467edf7eae85f2913c1e7106c62d0efc5164057a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 23:21:19 2015 +0200

    configure: move more stuff to gpaste.m4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 69dd6504f77f65dfb870f4b214eeb43ce7e0bf3e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 21:03:24 2015 +0200

    configure: reorder stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 04bad88881fa0523b6098fef05fc2408f4b17f63
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 20:19:33 2015 +0200

    configure: move more stuff to gpaste.m4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 58375e88a4dd2bc12440c9c5e51abe89e3722be8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 16:32:28 2015 +0200

    configure: move some stuff to gpaste.m4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e3744f54c91deb34ef557ff5c5aba11d2127883b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 15:45:39 2015 +0200

    configure: move pango check to GTK as we use it for GtkLabel too
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e31a5f20fbe065466e92235d8d5df7a251806913
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 12:42:45 2015 +0200

    cinnamon: dummy applet
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6aa3877a7b481daa1538b85d18e69bc7e8c947a0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 14:56:40 2015 +0200

    gnome-shell: bring back status icon in
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d58845a2e1416c9fa657eac2c4e50c0b98afa0f9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 14:43:11 2015 +0200

    gnome-shell: move back indicator.js in
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ddad64737c461472f97ff05f3000271117fdbfd0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 12:46:33 2015 +0200

    typos
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f2da1f8a1f34596c8f192d0133f4ce75e2f79dda
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 12:39:02 2015 +0200

    configure: preparation for cinnamon applet
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0fa0fc05a99074102ebdfdcd834692449c6b3f3a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 12:34:26 2015 +0200

    ENABLE_EXTENSION -> ENABLE_GNOME_SHELL_EXTENSION
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e01a9aae7c3bdf432af6f1e544c602244cc95c1f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 12:28:49 2015 +0200

    move common exntensions stuff to src/extension
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 437a674efa5ccbb2707669e72fb5775a6116d6df
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 09:42:00 2015 +0200

    allow-none -> nullable
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit be8bf24149f62f254e42f6ecca2099c26a54b507
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 09:44:56 2015 +0200

    g-i: use optional where appropriate
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ef62b092326807eeb76d4ca689af9dc42f31d56e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 12:18:33 2015 +0200

    gnome-shell: allow multi instances for cinnamon
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4f40f801a99e7218cd14505cd13847283d2caedf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 12:17:56 2015 +0200

    gnome-shell: add version to metadata
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 94456b47eaa44eea9561f86a3eef3ede1aa8c4d0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 12:15:49 2015 +0200

    gnome-shell: drop devel version
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ded69937959fbdfec9ec37ce287b0934d691b9ee
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 12:13:50 2015 +0200

    gnome-shell: first step toward cinnamon compat
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9195a0840e93715fe3845d71b80019f152d580c7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 09:44:56 2015 +0200

    g-i: use optional where appropriate
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9bd9e67ab3f481c57e42635ae64a4c9df38bc3b0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 09:42:05 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d63d82744f824b5e732a2b08f12c1141d46efb14
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 26 09:42:00 2015 +0200

    allow-none -> nullable
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6649865ef1956ee08a4446385e4f17a727649703
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 24 14:03:11 2015 +0200

    ui: try to fix race showing about dialog
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f84a94d83a4c6bffb03887c8080400178d5d3bc3
Merge: 74f12a26 9515deb3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 23 21:15:58 2015 +0200

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      Release GPaste 3.16.3.1

commit 9515deb3a6d0be1454a288d35b74e28f9a632d40
Merge: e87f9147 64c028a4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 23 21:14:26 2015 +0200

    Release GPaste 3.18.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 64c028a45612ad1e6bd3dfdb5a8034d83e89cbaa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 23 21:02:01 2015 +0200

    Release GPaste 3.16.3.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 74f12a26f210fdfe450daaaf599dcffe3f7ba26f
Merge: b4e5eed1 e87f9147
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 23 19:18:02 2015 +0200

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      fix growing line detection
      fix growing line detection

commit e87f9147a59cefd91db8125cdd85af15aca8eb46
Merge: 2dbdee72 517f6c12
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 23 19:17:55 2015 +0200

    Merge branch 'gpaste-3.16' into gpaste-3.18
    
    * gpaste-3.16:
      fix growing line detection

commit 517f6c12be61c7efc80c7ae351074c64b6b675d6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 23 19:17:10 2015 +0200

    fix growing line detection
    
    introduced by 1335ec65f8fe93d66ccfa909f341465e128c81ac
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2dbdee7228ecd562d93301b3501bfc0c83995fe2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 23 19:17:10 2015 +0200

    fix growing line detection
    
    introduced by 1335ec65f8fe93d66ccfa909f341465e128c81ac
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b4e5eed17e9cd8d605b7e2affa78df5fd121abe2
Merge: 792f192b dcb42087
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 21 20:52:12 2015 +0200

    Merge branch 'gpaste-3.18'
    
    * gpaste-3.18:
      fix weird whitespaces
      fix README

commit dcb420873ae3b7ab847b63266a0a126d2a43b338
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 21 20:51:52 2015 +0200

    fix weird whitespaces
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fbd99b41fb0b0bc0eb48302a296fb873f8a91af1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 21 19:29:28 2015 +0200

    fix README
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 792f192be30b021191473a675d84a0b4011cb5a8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 21 19:29:28 2015 +0200

    fix README
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 45a03d6cc7b083842fec056fb0fd02165bb80d94
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 21 17:44:02 2015 +0200

    post release version bump
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 45a11276816abffba80ec1be666d26c72e5ce780
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 21 17:41:25 2015 +0200

    Release GPaste 3.18
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 262b072b6e4daa60f74ee35c8db0104b4accbe2e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 21 16:48:55 2015 +0200

    daemon: fix get size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e20e63131393c04a6905112e52d6027355d81710
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 21 16:21:33 2015 +0200

    when an item is not editable, consider it not uploadable
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 112af053ff8d08b4f78bb29ebbbb91235523bcdf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 22:56:17 2015 +0200

    update vala dep
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cf81c1a4a0fed6491152b6b06123bfdd47f5b23d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 22:39:21 2015 +0200

    use g_autoptr for GString too
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ccf47e22e3f50e534f41ec30b0e34bbd16dd5b55
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 22:36:32 2015 +0200

    legacy: switch back to the simple version as coverity doesn't like it this way either
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit feae3d65fe3937701f7a6d3865bfa69219f1deca
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 21:28:35 2015 +0200

    bump intltool requirement to 0.50.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 94c9887ca0bbb593366ad325afdb14948b3e4a2b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 21:27:17 2015 +0200

    drop VALAFLAGS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5864f48659ea99a04dd54bf09b25d0287192a3a7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 20:06:20 2015 +0200

    drop unused include
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 54174f7a3cd4677760917485256d9e9588dbc8dc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 20:02:50 2015 +0200

    prepare for 3.18
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a2842316e849ed38968faf67dc77886c75dc9943
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 19:49:46 2015 +0200

    whitespace cleanup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4aceaa5db76004291f5facb44ea3623a1f50e182
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 19:11:00 2015 +0200

    man: fix rename
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 95e6534b1094d81b04b2417ceaaa9b148123a940
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 10:49:36 2015 +0200

    use glib format strings for numbers
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 211cc61cb32b98f6a12aae5fcf3af51c4d754b32
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 09:49:59 2015 +0200

    legacy: another attempt at dealing with tainted strings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0ba1444ea0cd0ce032af1642122f3d861ff38291
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 09:11:08 2015 +0200

    dbus: move some parsing to util
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f680e48deb45aced5f957025f3161d0571b087ec
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 09:01:37 2015 +0200

    search-provider: rename for consistency
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 32253b6149ac11b1e0ac4ecfea2cf4ac8ef45e37
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 01:00:00 2015 +0200

    daemon: fix a race in the search provider starting
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 77e9b82286e6f6095afc5223a8c955e39d8aeec3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 00:51:09 2015 +0200

    search-provider: fix potential segv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b069d6e786cfe582dd50766905ad6bf8c8605bad
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 00:18:46 2015 +0200

    search-provider: fix leak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2e7aebb639965b63f60c861d6818b55a2aaa2e73
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 00:15:09 2015 +0200

    update translations
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2e7dc83ea11ea1059cbd6dfbdebd313df41829aa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 00:13:57 2015 +0200

    ui: simplify history action ctors
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 49f7c366291c4c41a59bc77e4aa6dea662832eb0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 00:10:32 2015 +0200

    settings: minor simplification
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fc6d4d44c4882c7ba36fd260518ffbd80e592314
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 20 00:08:55 2015 +0200

    ui: be a little bit lazier
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c7ab29d5ef7406a767c1f212e606d97bdf054e9b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 23:49:34 2015 +0200

    fix TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b20dce8afd5498b45bf6016cbb90220b3edbd318
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 23:33:28 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f65c1cf4df7ff2422c743d0e031e7be7c5ec3780
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 23:29:53 2015 +0200

    settings: fix uint64 settings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 21fbc6dde396d1e42e8bcf3561e99b10b869c0da
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 23:23:47 2015 +0200

    fix leftover
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 57569f39bf3d198e5bf350ba8f078107ae4e2e25
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 22:39:36 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f20d57ec4ea22208aa9e0ccf67deb722948b1b41
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 22:39:06 2015 +0200

    update max settings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f5585c7b7fce8f2cf98e3d6bc192d72ea743a9a3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 20:21:14 2015 +0200

    treewide: be more specific with numeric values
    
    Avoid as much as possible gsize and guint in favour of guint64
    Avoid as much as possible guint32 in favour of guint64 for consistency
    Avoid as much as possible gint in favour of gint64, except for main()
    Avoid as much as possible gint32 in favour of gint64 for consistency
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit aede1f78c71a9e0f5dd678ba77c395dde6707bf1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 21:37:35 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 05ba58055958dbe5f25b61c41c2fedfca8929fe5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 21:17:24 2015 +0200

    update translations
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f05491689b67d20abbf00eead7f8bfe4b9630689
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 20:12:09 2015 +0200

    ui: fix buttons order
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 43e8610551dcc9e9818af1dc1729eafaac0403ff
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 20:11:09 2015 +0200

    ui: fix edit
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 851dbcdbd750332f4aa360593718fe7377ed6a35
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 20:08:22 2015 +0200

    ui: add upload action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 94ed838d6b1fee22eb88cab698e7808337833c57
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 20:02:44 2015 +0200

    item-skeleton: rework actions handling
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 633d43b437c7a73808ccb2cfbd02f8f9a5730e64
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 19:39:22 2015 +0200

    ui: make edit an item-action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1882c58c336acdcca5bfe1274aea0a15d77d930d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 19:40:41 2015 +0200

    ui: add self to item action callback
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9e6006aa8ad96397ad8fb749ccfca5819e4fb10d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 19:17:15 2015 +0200

    ui: make delete an item action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 10aeccd49d08bb7c2bd4d6f6a7bdc86dc421e38d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 19:05:01 2015 +0200

    ui: introduce item-action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit abcd07f9cd722e814b8eb1ddb791a58c07c94fc5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 18:06:46 2015 +0200

    treewide: drop those useless dumb *-private.h
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b70d4761d0e072429ff50f38f5f8d530438cdbd0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 14:46:03 2015 +0200

    ui: update history size on empty
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 27690250f1c8a2c1362c4537ac4ff280925dc34f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 14:39:52 2015 +0200

    client: hook up empty-history signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3bd5cfed0e3d9fadad9a2796d82b92593c7d80a2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 14:36:33 2015 +0200

    dbus: reindent xml
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 044188d97f0d80a425fdb00e9c11a18165db3887
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 14:30:37 2015 +0200

    daemon: emit signal on history emptyness
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7d88f1e66f5beb559377ed56043de08dabcf1450
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 14:24:16 2015 +0200

    ui: drop unused include
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f2a095b58d3e31ec2a3950ed961ac69b494a8650
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 14:20:30 2015 +0200

    ui: update height when needed
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit db92896b719007367e2f7b4607f86fbe7fb746e1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 14:08:56 2015 +0200

    ui: finish item-skeleton
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b2cf2de5e1640c4b0bae4fbe2b13777e1f02395d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 13:46:31 2015 +0200

    ui: add a way to tell if a item-skeleton is editable
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f7bf334c376f1aae5f1e8f84ff5918be1b72314d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 13:24:47 2015 +0200

    ui: move more stuff to item-skeleton
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 36a6c70c4ad5b824495f9a51ff5e9248ff569cb1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 13:12:37 2015 +0200

    ui: make item a subclass of item-skeleton
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d6db53adac27527e66d9da85339191f9ba3dfa54
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 12:57:06 2015 +0200

    ui: move more things to item-skeleton
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9a3b404f260f51aaad783983ec587da8b4d60a7a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 12:51:33 2015 +0200

    ui: make empty-item a subclass of item-skeleton
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e982ab472c2ab58e3e2c4842a905eea385ca501f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 12:38:06 2015 +0200

    ui: introduce item-skeleton
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 01b0af1b66124207ceef74574ca8f412e8de81a4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 10:52:55 2015 +0200

    rework empty history action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ff7d6e17c831d64382bea8fbd4b8e0cfa8b81053
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 10:34:14 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cd4d789a4e28e5a9d78cd083929fd3a11e4edbd3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 10:32:09 2015 +0200

    ui: drop now unsued size request from window
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 69a74db363f2a6e0b0b8231c7cf55e4e935abf8b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 10:31:05 2015 +0200

    fix bindings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b421b537fc57d55f1b716f9eab4f27fa9ddbb9bb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 01:17:27 2015 +0200

    ui: layout fixes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 15e62a8fe13733c006ab54a70d6b310cc2b43e4f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 19 01:04:00 2015 +0200

    headers should be in either HEADERS *or* SOURCES
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d3341a03eee72863050b26579eff2d1778de40fa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 19:31:05 2015 +0200

    ui: ensure we always have a proper height
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit adef9ae0ff1148beb26d66c9cc5dac3a592a310c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 18:25:51 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7e9039d8ea3cf397b0d6c8750df401b9de805e6d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 18:23:32 2015 +0200

    ui: width fixes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2a14a943820508453beec0f8f8d0c8f6fd546b90
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 17:53:48 2015 +0200

    core: fix first hsitory loading
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d19cc17d11516d33a8aa47bf1c3612ff6d370c62
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 17:27:20 2015 +0200

    daemon: use the new history switch signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c60dbdb68188aaca8b51f8fef7f6e3018f52dfd5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 17:21:45 2015 +0200

    core: add new switch signal to history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6e737759abb087eb79c5332c888133069edd4c95
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 17:17:53 2015 +0200

    only use generic marshaler where needed
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit bbdd55d6591da5115eee6a2a6c72993119ee5d9a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 16:50:46 2015 +0200

    core: simplify history switch
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 80af7cb3f4e99ffac8f3c9e4495608dabe1cda0b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 16:48:56 2015 +0200

    core: don't reload twice the same history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 56e9c66fa8b04dc9e1876257d38e150a0e97d259
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 16:46:00 2015 +0200

    emit update signal on history name change
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8fe81daa69e1514ec8833c769b40ca652ee344b0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 15:31:54 2015 +0200

    use g_warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 216a5b4a2a17d1f59646e3bcd1777bdc6bb959c3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 15:01:49 2015 +0200

    gnome-shell: fix history name
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 36661c9f5a5e27aa7da064626373a2a1408a9547
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 14:53:58 2015 +0200

    gnome-shell: fix typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3fd3b12b5b6ea7864762eacbf0bec93da1ec5d64
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 18 14:49:59 2015 +0200

    gnome-shell: fix for client updates
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3a54f4c741faa0cd800cb9125791d31ef27499a5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 22:12:01 2015 +0200

    core: track the history name in dconf and switch history accordingly
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ec3872df2a649340698a048ca14886bf17ef9dd5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 22:03:41 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1f5510e6d63503be1a6d6c7b9ccb10a7b66c5b71
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 22:03:12 2015 +0200

    ui: get the hsitory name from the daemon
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e0328ca32972efaa85af5b63801fb893e976bd25
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 21:52:56 2015 +0200

    daemon: use new api to get current history name
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 92ef64227bcd19e166183aad39dea72db08a157c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 21:50:47 2015 +0200

    core: add api to retrieve current history name
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7a7303960e3cd0e60eec7569393fea92c4035db5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 21:47:50 2015 +0200

    core: keep a trace of the current history name and use it where appropriate
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 86e97ef2c74a02e221a470f6e167ca2b0a7c0f1f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 19:13:25 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9ee733850418c13031f18213b3d0a53fb199b4ea
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 19:10:54 2015 +0200

    ui: fix initial size display in panel
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fc342208a618a82889274e7a7f9eec187575c548
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 18:57:16 2015 +0200

    treewide: udpate for client changes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8b801bcae6fc418aa2028747bb62bb3de10f5bcd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 18:15:10 2015 +0200

    client: update for recent daemon changes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1719f2fe186dcab197d323959299c5815177027e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 18:08:23 2015 +0200

    daemon: implement new methods modifications
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 51e542d0b9791eedb8048a5ac4009cba63d60827
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 18:02:02 2015 +0200

    daemon: udpate empty history and get history size definitions
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 15c96c3369b4854b10f9672d4141202b281da3d6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 17:57:01 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 79988b1a8dd9129c0a55ffecc3cf7d8794585111
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 17:22:26 2015 +0200

    ui: update history length when we can
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d1d69ec6d1d38f297475937d324bc5346696f2a9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 17:12:25 2015 +0200

    ui: make panel capable of updateing an history's length
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3a689fe1b52bdc0fd16f26a51e1d25d6256a2b0e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 16:48:56 2015 +0200

    ui: add length to panel history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit be713a26efd3c7759503ba8fa6f4ca383c80195e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 17 14:55:56 2015 +0200

    history: fix deletion
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9f723a51fce89fb215658b06412dac24dacbf38b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 22:46:26 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fc7532a95349db1bc3b2c7e86149e10fa6f637be
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 22:36:28 2015 +0200

    legacy: don't pass tainted strings to execv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b5bf33342a530cf89a2195ea3b8e875096c62b89
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 22:12:51 2015 +0200

    fix clang warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ede3608fa46f3df9a7730c6955f5b4ca322b5a28
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 21:57:37 2015 +0200

    simplify history deletion
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2ba3f733c4141be55425badab6524cadadd6959f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 21:50:44 2015 +0200

    g_paste_history_save: allow choosing the name we save the history as
    
    and btw simplify the backup logic
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 992b7ddb8c7a0b4cb921990ad20d9d8ab4b12c4f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 21:34:50 2015 +0200

    g_paste_history_load: allow choosing the history to load
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit de9577bf87f11183f8adca2d30643df7bd35f529
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 16:07:35 2015 +0200

    update translations
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2e6c3fe21b4472b56271f692b327f6970b1c8780
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 15:38:06 2015 +0200

    ui: add reexec button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f39b4c587b3be8aedd4f1c6fa956c4cb9d390789
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 14:17:03 2015 +0200

    fix build
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit db2e46d2f84de4f1cd063afe511ee5d4755c282e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 14:13:59 2015 +0200

    gpastectl: rename to gpaste-client
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0a18df3c93246fc6f2aa9fa8a15adf8840593aea
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 16 10:21:13 2015 +0200

    daemon: more input validation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1f8cc56a89cd445be2b1f281306c09649b7e0004
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 22:34:42 2015 +0200

    legacy: add more newlines
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d6024113cf4b86799748fd83315a8ecd2950a8c9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 22:34:22 2015 +0200

    fix man
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ca97d301d383d76d105cc99c022b582f103ea2f5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 22:32:17 2015 +0200

    fix completions
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ffdffa7d5f90b86526a9cd9cb889e84a8c27f5d8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 22:29:56 2015 +0200

    legacy: fix typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 22eb597f76d745d3e68f49cf43215236c79d5f02
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 22:24:53 2015 +0200

    legacy: add missing newline
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 71ec29088bdecaf9a07badda829b98c846645681
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 22:18:26 2015 +0200

    gpaste: add legacy compat wrapper
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 00e25d168bf0666073cc14f8d9d3af755fd0a4e6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 22:02:45 2015 +0200

    gpaste: rename to gpastectl
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 23c35634ac882eb9cc4cf6edbe86349fb6b9400a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 21:48:58 2015 +0200

    confgure: cleanup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4b6be62213ad39caddf23fa667dec8687ce33c36
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 21:40:11 2015 +0200

    daemon: better way to keep app around
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3eee6e159f9347698ce5f002e41bd8fa2a4bacaf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 21:38:58 2015 +0200

    daemon: drop ReexecuteSelf dbus signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6260c45367c24b04418ccac74df4d7c41d998d65
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 21:33:20 2015 +0200

    client: add introspection for signals
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f8f10aaf750597f2324e7929f169d9a0977f0087
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 18:43:10 2015 +0200

    history: add instrospection for signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b9bcd1437636f675f793382d6a017fa96d1e4c47
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 18:31:35 2015 +0200

    bus: add instrospection for signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cfbe22b4f44a63bcd4b472dfc8a0c948bd29409b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 18:28:53 2015 +0200

    clipboard: add instrospection for signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit dad84aefbea0a7483aa41f3b3de2a29851f16a5e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 18:19:42 2015 +0200

    daemon: add instrospection for signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 22897a10773a897fe32a6b9bc363d49d82a6c1b6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 18:17:55 2015 +0200

    gnome-shell-client: add instrospection for signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 94790973a18c090c7994f84be24dea6bcd70eb27
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 18:17:45 2015 +0200

    screensaver-client: add instrospection for signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4af57eab74f8d28585160d04a64401d0e0630523
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 09:53:59 2015 +0200

    require g-i and vapigen macros to exist
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 862d3390f116f7362e10f3977a7ffe3da07880df
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 09:47:16 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d8a8189d872ab0f519ade4d998c3af85b3f4f03b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 09:46:48 2015 +0200

    settings: add introspection for signals
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ebf7c1735cf2b4bcc17e66f9d32d504d62402033
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 15 09:29:03 2015 +0200

    fix readme
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8ff3db2b25cbc02fe345a6e713028e010cb3d6c3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 14 08:44:14 2015 +0200

    application: don't needlessly check for is_remote
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f59405656b9c4b3711c574396cd02599bee1ad98
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 13 19:36:54 2015 +0200

    configure: add maintainer-mode
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1514d8e574428e147d0f204a8e694a8e75b1bace
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 13 19:12:22 2015 +0200

    modernize vapigen check
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8ea40e4ec840f0e5a275d7911f0b858ba48e9b49
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 11 08:20:01 2015 +0200

    update autogen
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1d3a2b2e6aa9095b108b7b15e93a11e791c8d1c5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 10 21:33:05 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 058ac99fce3adc763e8ed0e823ca4c16677be68b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 10 16:27:23 2015 +0200

    include index in search
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 88fae26eac688da1eda4d4f5a4137ec4490c5cd4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 10 16:16:57 2015 +0200

    ui: drop legacy FIXME
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 92d8dc2ae7853bb7b531052d0912071a486032d7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 10 16:15:29 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit dfccd413d87f47378b06178943c70f30ca0663a7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 10 16:13:40 2015 +0200

    core: fix typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 85937e54c38df99c16eb89d2bda30b84d915aa39
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 10 16:04:50 2015 +0200

    ui: correctly update ui button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit be6a5950225b707a0f6150962c777befa7a76931
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 10 15:19:29 2015 +0200

    client: use GPasteItemKind
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b1c70d2274b4e85b20f56e592a50cc0ed419fe3c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 10 15:08:16 2015 +0200

    client: add GetElementKind
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 85bf263b15d205459d05364190aa3af9d501906c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 10 15:03:40 2015 +0200

    add new ItemKind enum type
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 09748cb71882a462aff0b7f5385cd76b126efadc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 10 14:52:32 2015 +0200

    daemon: add GetElementKind
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 82876ae6d8ac5b634c6c4c8cf8205b28c0a5b98a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 9 11:29:55 2015 +0200

    gnome-shell: cosmetic tweak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e6e4535fe1dcac0f4c2caade6f1e8cf466d6cdb3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 9 10:20:28 2015 +0200

    ui: change numbers display
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2904e0c595ef9dc0c57d81e45d75a16ad1d0f18b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 9 10:12:43 2015 +0200

    panel: make it look better
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4d365010d361c0d575729ac1f730699d5f53da92
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 9 10:10:29 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3f3bad6893c616c1b351e2021835fff8b4ab5866
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 9 10:10:19 2015 +0200

    ui: display items numbers
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4a5700356211668eb11d3312bc14b2ac82e9a32c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 7 22:34:02 2015 +0200

    ui: rework confirm dialog
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fbe351bdd2a244ef62f84942cf103a9ce72f1a25
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 7 19:11:36 2015 +0200

    typo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4c191d5aa815bf801c7ac1839340df541f377da1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 21:27:25 2015 +0200

    po: update-po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 02d5e2f76592d3df5a6f0ee637a2f5f1014aa526
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 21:24:17 2015 +0200

    po: fix distcheck
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4476e1c17d9981e3ca85633082ec9c555702896f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 21:18:26 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 368b8e510bdcde116fd5bd454abf521e9a699f36
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 21:16:18 2015 +0200

    ui: drop now unused stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 90aff5221f5d33990c762106e0339b050b298e77
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 19:38:31 2015 +0200

    cosmetics
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b89c0d795b150664fa0c769dba4a0bd5852534ef
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 19:37:02 2015 +0200

    fix multiline edition
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b814b1214e93e4535a06323b343d186874c0cae8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 19:29:22 2015 +0200

    ui: cosmetics
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e2389d69a3ebd1993f5eabd499c9d23bfdffdc56
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 19:27:00 2015 +0200

    ui: add tooltips
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7b9d845dbce07d4b7aea11d64527d768146e9e60
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 19:25:45 2015 +0200

    ui: small simplification
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b44b7a0931f54b01f3b5de837652face38e62e17
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 11:57:56 2015 +0200

    ui: fix missing return value
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e0eddcb8399e74e6e91c5d442c6243ab9ba54baa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 11:48:13 2015 +0200

    ui: initial edit support
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1e722ff6876783e6c9eb06e562eeb17ededf98ac
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 11:23:23 2015 +0200

    edit: take the rootwin
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 28ff21c7b9eaf5ff7898bb59190d53fc50f30b9d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 11:16:17 2015 +0200

    edit: take an item as parameter
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit de4d5ac6ca2e8ea9839993382bbc4f99cc620b09
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 11:13:58 2015 +0200

    ui: add a way to retrieve item text
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1e05e0783317d216334af5a918f3f198188da6e6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 11:10:24 2015 +0200

    ui: add edit button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ab1b49716a8cd72b25564209392b2d7c03a8e6dc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 11:02:13 2015 +0200

    ui: add edit
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit bc7cc4ae609095eb75caf5dcab0fb891b72d75b3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 10:59:03 2015 +0200

    ui: always use symbolic icons
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9dc8030c13ee126727028eb63b2ee83701791441
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 09:50:02 2015 +0200

    core: fix replacing the active item
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c0ad5e7fb0f63123f4dd2a92ff139ea710b645a9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 6 00:08:43 2015 +0200

    add FIXME
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3e4beb16cc2c0cf699b5e9d9f3647806c0a400ec
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 23:52:33 2015 +0200

    add gpaste replace
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a25755d1f5d8b99fa78efb9177eb026cc742bc46
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 23:44:22 2015 +0200

    client: add replace
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 096758e943364dfd330bfc0dc27b52512bc86c81
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 23:38:36 2015 +0200

    core: export new symbol
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8663bedeb9b2f74281fc66b110e581ea4653f5c5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 23:37:54 2015 +0200

    daemon: implement replace
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit eb52df66b6db41b0dda40e9ef28315df973ba295
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 23:33:56 2015 +0200

    core: consolidate some common code
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 78a49b09c0d5d183b86f328243746067054509ab
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 23:23:31 2015 +0200

    core: add g_paste_history_replace
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c11bb6144786fe88a2f3f44484fd49534e933e04
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 23:08:47 2015 +0200

    daemon: add REPLACE definition
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4bc2d2131a0fd09dbeacbfff910902cec894e2eb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 23:05:33 2015 +0200

    gnome-shell: allow newer versions
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c3f68581a9257882116acf020f3a9c0d505fa255
Merge: 02f16168 f857606c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 19:11:23 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      update README
      Release GPaste 3.16.3
      core: prevent potential SEGV

commit f857606c808ab97fad31acb4e501f37327e2038e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 19:10:35 2015 +0200

    update README
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ad4368d44b0cee026a3f922cbdfdb14f93b11886
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 19:09:17 2015 +0200

    Release GPaste 3.16.3
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7cee6ee96aead68bbbf547136a8ccdc642914ada
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 12:18:04 2015 +0200

    core: prevent potential SEGV
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 02f16168a11cc1f61d86ed9b204e4b77c47dd76e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 18:59:55 2015 +0200

    autogen: do not return failure if no argument is passed
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e2cc31dc30a5ea811544ab905e3acb572153e022
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 18:37:10 2015 +0200

    po: fix distcheck
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8a88fe7e8e9eea29717caefb42e485a062b8a399
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 18:26:20 2015 +0200

    po: update french translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7f1550cac4373e87ea6cdccb2fc20622f7579f16
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 18:25:46 2015 +0200

    update-po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit de7270a6d219a8dc92755d70357893f872dfff8c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 18:15:34 2015 +0200

    ui: better dialog for backup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a4ac36a962fba8bd75fdeee01979ca0fdab6682d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 18:00:22 2015 +0200

    ui: focus tweaks
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5e96046ea18de30133e02849a9c60c47bf861d14
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 17:55:55 2015 +0200

    ui: give the search entry focus by default
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 26815042efb2bf7ff9a6fabb07fc4bae07ab3ae2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 17:49:42 2015 +0200

    switch: react to enter too
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c295be7297962bf20f61af0849c579555aea7be6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 17:40:27 2015 +0200

    ui: fix focus issue
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ab372ce2e0f83b1009914d6afb4f2b91b28fae93
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 17:06:41 2015 +0200

    ui: add switch history feature
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3b4b8bb3d09e356b76fc10ee8e28b98e22873b73
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 16:56:37 2015 +0200

    ui: fix back right click on panel
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e865fcf48cc1f6e221b436b88e90fa607e7eaea5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 13:26:24 2015 +0200

    add FIXME
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 85758a25a67b092eb6a38fad6c5b49e7f7b0ca20
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 13:15:58 2015 +0200

    move default history definition to configure.ac
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f9a2b9d70f29fb261235a58f19c7ff8f3cd7bc21
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 13:04:04 2015 +0200

    ui: make panel a vbox
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 99f1857bbd539d2bbb4e0ce63be2611d7a145905
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 12:53:21 2015 +0200

    ui: cosmetics for small histories
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8fe596ec75fce204ca920d283fc0372680fdd62d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Sep 5 12:49:06 2015 +0200

    drop dead code
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 0ebd56aa3e28ed3b928a2d3b88ea9ad28ac4bbb5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 16:36:32 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 57381e5f38a701632415e776f79eede62f6156dc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 16:34:48 2015 +0200

    daemon: emit switches during backup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b21bc735cb7f5d0aff05ec09f9c96de00c25e407
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 16:32:26 2015 +0200

    ui: refresh histories on delete
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3873585c9f4f590dc69c6595d3ac89825c4547ea
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 16:32:15 2015 +0200

    daemon: fix signal contents
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9dafe7880a7a1b983e9afef51d0755ccf4e444d9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 16:02:51 2015 +0200

    daemon: fix signals
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2752ee1106ed14fc5fe0d55bdeceaeb68de54ba6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 15:47:58 2015 +0200

    ui: avoid duplicate histories
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cffe0678086cc83fbf601a703c9b7e1b4af8c46f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 15:32:47 2015 +0200

    client: add delete-history and switch-history signals
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 943f2404d306950cd1eb37713262a0fb8e4f88f1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 14:44:49 2015 +0200

    daemon: emit DeleteHistory and SwitchHistory signals
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6aa30dcc688803098425edd05d17651773f82ec7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 14:29:42 2015 +0200

    dbus: add version to the interface name
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8e69e3928c232a97eb37a827bdf0799ba107733e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 14:29:27 2015 +0200

    dbus: reindent
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e22b4969b7b9e51f949dacf6ccb9afa62f363f44
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 14:21:56 2015 +0200

    dbus: add new signals definition
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 34d2a35f64d45eb26baf04ea723936d0cb6ff370
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 14:08:33 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 26cc88e80b1f6768ff616a45d1919f2f623c3bc8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 14:07:43 2015 +0200

    fix actions display after activated
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit eec3f12bc72475b7f56aec16d59d325ca6f46c1d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 13:27:57 2015 +0200

    ui: make private stuff actually private
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ccee93b7fc7c60786770a41ccd43ca8babb14064
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 13:23:04 2015 +0200

    ui: use new activate vfunc
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit da04d8521d4d4fe3cbea93ef8f34e8c5c463d660
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 13:20:21 2015 +0200

    ui: add generic ui action event
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 283ab02a7aefa03f265149330435006edca1e46d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 12:54:02 2015 +0200

    ui: cosmetics
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit bb24124eaa7bd39d959c690eb9024cd5d66267f4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 12:38:10 2015 +0200

    ui: cosmetics
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 603a25420d9d6aeff629bfd7af9ec883a522e7c6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 12:29:28 2015 +0200

    fix distcheck
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 081e4779367d840e25afe2cb6e1e3c3537be514c
Merge: 3f971136 0a012b2c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 12:26:08 2015 +0200

    Merge branch 'backup'
    
    * backup:
      drop duplicate includes
      ui: use backup-history
      ui: add backup-history
      gpaste: fix backup call
      client: update BACKUP calls
      daemon: make BackupHistory take two params

commit 0a012b2cc8bf838091f42c15d7e39e12ca63b175
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 12:26:01 2015 +0200

    drop duplicate includes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c9717cbba72e801b73573a0a54ef32518ce453e3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 12:23:14 2015 +0200

    ui: use backup-history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ea87eabbeb5d7a793256ee755b287a7819c3f3b3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 12:22:27 2015 +0200

    ui: add backup-history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit be46a0545358ed34bcc20a64b78e9f3285fd3ace
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 12:16:21 2015 +0200

    gpaste: fix backup call
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 479c57eeced542626f04afc313e5cdf2a96df5a3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 4 12:16:02 2015 +0200

    client: update BACKUP calls
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6d32dad8c3ac5ea6f1b07aa78483d50134ecbf0c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 3 00:05:34 2015 +0200

    daemon: make BackupHistory take two params
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3f97113643ca88753c5c51c3e78b389e73cd7111
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 3 00:11:58 2015 +0200

    gpaste: actually print the history name
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit db23d298e6396af02d3134025fb79042c8225a36
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 3 00:00:59 2015 +0200

    gpaste: add get-history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f510c3744bffdb02ea9563f66e17d5f5a1b6aee9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 23:51:20 2015 +0200

    client: add GetHistoryName
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 414a0115d038e45f504f26f8411a66a12853fd65
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 23:45:32 2015 +0200

    daemon: add GetHistoryName
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6b28a07fc7bbf3e5050ed84d7c6ce44bca1f1e84
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 22:54:31 2015 +0200

    ui: chain up with parent
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6d15f09243863eca4f86bc5422033c8f62e007dc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 22:51:33 2015 +0200

    ui: cosmetics
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit c82bc007e6914d8934941e1983f0c613f47fe33f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 22:48:46 2015 +0200

    Revert "ui: use gdk constant"
    
    This reverts commit 2fa2cc69b2eb622945e2f4cf468f813a6290d45c.

commit e2d0487a86eb96f76fb922332eb8fe075d906a25
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 22:45:21 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a36966ecc78457f912fd1a78f5d3a448f662d80f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 22:44:19 2015 +0200

    ui: fix actions display
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e4c3384755e57b7cc2c5089a6b995764a14c0a8b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 21:52:18 2015 +0200

    ui: display history actions on right click
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit daf7c97d71c39e80f294f954fa3122e717249057
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 22:23:18 2015 +0200

    applet: better check
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b659f517ed60d361108a49be1cb430140b8e7f18
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 22:16:38 2015 +0200

    fix distcheck
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2fa2cc69b2eb622945e2f4cf468f813a6290d45c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 21:52:15 2015 +0200

    ui: use gdk constant
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 914e49e4a68ce9ce8dcea2d6998fe2a3fcdcfc80
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 21:34:52 2015 +0200

    ui: fix crash on ui exits
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 11a581e55ef8895685b1613912e219abab4596c5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 21:29:58 2015 +0200

    add FIXME
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1b9d100077f231a82517bbe5113e7aa1e4c01b24
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 21:29:40 2015 +0200

    ui: fix delete-history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 52832a632efde622db3793579db457e5f07c99d2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 21:28:39 2015 +0200

    settings-ui: drop histories panel
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7fe402cec7363eef9a744da259b8412bbd546bc1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 20:36:46 2015 +0200

    ui: port history-actions to history-action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 87ede3071dfc7fbf3b8bab51ff2785f0370d868b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 20:30:05 2015 +0200

    ui: port delete-history to history-action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e622c3ba2b46edee4c7ae7892ad19127a8d862ee
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 20:07:31 2015 +0200

    ui: add HistoryAction
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7d61225d006f4e47317b2090a88eb8b965e3cf1c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 19:40:40 2015 +0200

    ui: add history-actions to panel
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4655cb05a9486748af34758923fabedca19babcb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 19:34:45 2015 +0200

    add missing symbols
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 109926a0e6116f36b92839765de9cc9972dc694d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 19:32:11 2015 +0200

    ui: add confirm dialog
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e0dc5e4a1c7f2f070bb44ec3550704740a545e7d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 16:20:17 2015 +0200

    autogen: improve
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3dd6f26e7fcbf7daa4334728295b3755165ec31b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 14:10:50 2015 +0200

    add coverity badge
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 03f04753f6f4cb64c2f6f97b26234f88c70e1ad2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 13:34:54 2015 +0200

    history: don't double check for NULL
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit bddd1c7b8bea2c0169db3bf54e058c1f3141f4c3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 12:19:48 2015 +0200

    daemon: drop dead code
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fbe58bb29b46c6c0c97d44144857130d61163e34
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 12:18:04 2015 +0200

    core: prevent potential SEGV
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ceb1a0bfbe7d2440896b4bb77f047c8a0b80802c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 11:44:48 2015 +0200

    fix clang warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e80f6c771fa2a1db00b82d80c8b15a1c37a23b35
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 2 00:18:43 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1b4d6958f052639278212729488e7dd0cf7a79da
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Aug 27 23:30:33 2015 +0200

    ui: add GPasteUiHistoryActions
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit dd844f81ff82ab9590553017047bedc447873ae2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Aug 28 00:27:24 2015 +0200

    ui: add GPasteUiDeleteHistory
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 541d96dd40161b9fbae1d29ac4df2907cd7a668c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 1 18:09:46 2015 +0200

    use autotools visibility check
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1fdcc8353b586542e9f09fff285cdc2ae914f28c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Sep 1 18:09:37 2015 +0200

    daemon: better tweak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a0bd4a75e928195939ed31d90e7dd1d45a10297b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Aug 30 01:12:19 2015 +0200

    autogen: add aliases
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 07dbdc7e79732b0be4af04be70b28ff31206de6a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Aug 30 01:11:43 2015 +0200

    cosmetics
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1451bba142ca5f060fbf229a3187f9970880936d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Aug 27 20:08:14 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9ec800d28941663ec854822928aa2efddd08134e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Aug 27 20:08:03 2015 +0200

    drop FIXME
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5234b9e4cb573a819156cb658156b555edeed32e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Aug 27 20:06:25 2015 +0200

    update translations
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 01dd0065fa6a95a9bbaf6b8777a52bba4e0a72aa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Aug 27 20:02:01 2015 +0200

    update names/descriptions
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9ec58137838b07658c9478f2fd398612d61629bb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Aug 27 19:55:06 2015 +0200

    bump version to 3.17
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b5ca3b433ce069a019103a7ce833b4eb6f96e79c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Aug 27 19:53:44 2015 +0200

    ui: fix crash
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f19a12f3d378bacee6dfc02e2210f6c7ccae2289
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 20:38:43 2015 +0200

    ui: select currently active history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e65bb1a187209bf77f3343816ed6591cb43c896b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 20:22:14 2015 +0200

    ui: add settings to panel
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7671cedcc54fc6a45034f9a9d15331cef55bd8d6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 20:18:40 2015 +0200

    ui: create settings in window
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 22d87c40759c5e09eec0d2fd00e2876c8f753e08
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 20:03:07 2015 +0200

    ui: visual tweaks
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 30661def4fe560eb5f73166a11d49916554fc833
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 19:37:49 2015 +0200

    ui: graphical tweaks
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d2f4032d68b4094ed44ab1c49170642213d93d35
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 19:08:44 2015 +0200

    add FIXME
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 85b595eba185bf7d7403944ff5ff54ceb76d3f7b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 18:50:59 2015 +0200

    ui: add panel
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 5a82103a1972c2142b6750046b18a37e0d3473df
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 17:50:07 2015 +0200

    ui: add GPasteUiPanel
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4bef52595b364f6abb00c3614d6573d2892610b6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 18:13:11 2015 +0200

    ui: add GPasteUiPanelHistory
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ad0954382d4b4e4ef8e6cea4d8462bf31937bd06
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 18:13:43 2015 +0200

    ui: ellipsize earlier
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d067274ca4f0f38b87221606c8fa54a1fdfb0fef
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Aug 26 17:50:15 2015 +0200

    ui: prevent potential crash
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3b0b8e5da4a089824712eabc021a6c0f8c57c371
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Aug 20 17:36:21 2015 +0200

    gnome-shell 3.17.90
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 90c18eddb3d56c435bb07c92844341982001337b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 10 18:54:48 2015 +0200

    daemon: force x11 backend for now
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fd1955cedd79bf16d7510c6afb2b4de51683b27c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Aug 10 18:45:39 2015 +0200

    gnome-shell: add 3.17.4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3bb8df6ee450441ed1c643d09b9d7e1ac4f1e1bf
Merge: 2e803fa4 7b41300b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 20 22:01:04 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      gnome-shell: fix item

commit 7b41300b9a359aaab490ef2d1712c58d6fa0eb49
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 20 22:00:57 2015 +0200

    gnome-shell: fix item
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2e803fa4567db40715bcf36aee0ba4f20dd54b70
Merge: 15a5c871 3bddf034
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 20 21:57:06 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      item: drop now unused onDestroy

commit 3bddf0349b320d95f6a06b825fef016ba45aa696
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 20 21:56:56 2015 +0200

    item: drop now unused onDestroy
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 15a5c871df8197652deb36e2effcd56632ad7eb2
Merge: d9139f60 a272b769
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 20 21:53:31 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      gnome-shell: cleanup
      gnome-shell: disconnect signals early

commit a272b7690dc8beb73f2ef0c89c9ec7020a531db2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 20 21:53:21 2015 +0200

    gnome-shell: cleanup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8a5cf1b549da8d6952b5d15f3d7fcd56aee73be1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 20 21:45:18 2015 +0200

    gnome-shell: disconnect signals early
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d9139f609f95ad3c8328b1f914a576fab18ed112
Merge: ee320c68 19643cce
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 19 18:21:51 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      gnome-shell: don't make StatusIcon extend St.BoxLayout
      gnome-shell: don't make UiItem extend St.Button
      gnome-shell: don't make PrefsItem extend St.Button
      gnome-shell: don't make EmptyHistoryItem extend St.Button
      gnome-shell: don't make DeleteItemPart extend St.Button
      gnome-shell: don't make DeleteButton extend St.Button
      gnome-shell: don't make AboutItem extend St.Button

commit 19643cce194ba74e4adf7631b95fa9921c7f8813
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 19 18:09:44 2015 +0200

    gnome-shell: don't make StatusIcon extend St.BoxLayout
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4c067570e3517f9a858ebaf74d3e9411fa77f2b2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 19 18:07:56 2015 +0200

    gnome-shell: don't make UiItem extend St.Button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f44bf83b8242a35b5d7e8001e05b61281fd40de9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 19 18:06:57 2015 +0200

    gnome-shell: don't make PrefsItem extend St.Button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 536ee63888e94655e50511b1d2a764ec6a42e852
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 19 18:05:45 2015 +0200

    gnome-shell: don't make EmptyHistoryItem extend St.Button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8dbbea7610c849aa1cea6451dcf191a84b10da15
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 19 14:44:43 2015 +0200

    gnome-shell: don't make DeleteItemPart extend St.Button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 79314b8a05eb4fdfb55f951bdf18ac260952a298
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 19 14:43:09 2015 +0200

    gnome-shell: don't make DeleteButton extend St.Button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 9442d6e02a56964f206c28cfc2e2a54272e7209f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 19 14:40:39 2015 +0200

    gnome-shell: don't make AboutItem extend St.Button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ee320c68c892636d39a2ffc218da62dde546ac23
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 16 14:21:03 2015 +0200

    travis' vm are too old
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit daf426384e6aa1ba378c67faba0ff0e8d43d0662
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 16 14:15:13 2015 +0200

    give travis a shot
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8f3feab9f3ae7369944bfe31f68a96b63ca51587
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 16 13:53:55 2015 +0200

    ui: silence scan-build warning in history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b27286854d6f5b7c9d585fcd40acf589ca7ee9e6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 16 13:53:36 2015 +0200

    autogen: add scan-build
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a0f6445ff51ea4ea31e387ba46f013c8c7b2af6e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 16 13:41:52 2015 +0200

    autogen.sh: rework, add "full"
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ec7c12f029e6ec9d67f665ac45406ede5feaad8e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 16 13:02:24 2015 +0200

    silence warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fbd814d8b65c0fc24021870be3b9ea3463d49111
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Jun 16 12:57:11 2015 +0200

    fix build with clang
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 75964fe969d6251c7d5681c1dc4ca81cf9a92234
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 13 19:23:47 2015 +0200

    search-provider: drop unused code
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a3c07775aed5803763fd75eba9bf90bd8f745410
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 13 19:19:40 2015 +0200

    drop legacy TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 302d454169e56eb7386b6bf4316d351009edfb5d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 13 19:18:47 2015 +0200

    bus-object: unregister bus object on dispose
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1147e9437c8fae87eb0806030246f74dbe280943
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 13 19:13:07 2015 +0200

    let gnome-shell handle the max size of search results
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 82490c5dc8825e14d47082f566f410d38e2cd0d3
Merge: e4d1648a 45b795aa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Jun 13 10:58:49 2015 +0200

    Merge pull request #123 from kapouer/patch-1
    
    hyphen-used-as-minus-sign in man page

commit 45b795aa3dc638cc46ef418cea392e9adca9d7c1
Author: Jérémy Lal <kapouer@melix.org>
Date:   Sat Jun 13 03:00:39 2015 +0200

    hyphen-used-as-minus-sign in man page
    
    Here's lintian output...
    
    gpaste: hyphen-used-as-minus-sign usr/share/man/man1/gpaste.1.gz:93
    
        This manual page seems to contain a hyphen where a minus sign was
        intended. By default, "-" chars are interpreted as hyphens (U+2010) by
        groff, not as minus signs (U+002D). Since options to programs use minus
        signs (U+002D), this means for example in UTF-8 locales that you cannot
        cut and paste options, nor search for them easily. The Debian groff
        package currently forces "-" to be interpreted as a minus sign due to
        the number of manual pages with this problem, but this is a
        Debian-specific modification and hopefully eventually can be removed.
    
        "-" must be escaped ("\-") to be interpreted as minus. If you really
        intend a hyphen (normally you don't), write it as "\(hy" to emphasise
        that fact. See groff(7) and especially groff_char(7) for details, and
        also the thread starting with
        https://lists.debian.org/debian-devel/2003/debian-devel-200303/msg01481.html
    
        If you use some tool that converts your documentation to groff format,
        this tag may indicate a bug in the tool. Some tools convert dashes of
        any kind to hyphens. The safe way of converting dashes is to convert
        them to "\-".
    
        Because this error can occur very often, Lintian shows only the first 10
        occurrences for each man page and give the number of suppressed
        occurrences. If you want to see all warnings, run Lintian with the
        -d/--debug option.
    
        Refer to /usr/share/doc/groff-base/README.Debian and the groff_char(7)
        manual page for details.

commit e4d1648aed3be95c04d1fa75c3c91053000e2eaf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 12 19:34:56 2015 +0200

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 351bc2bd3a0858c3fbba16646da00dcb8d46db24
Merge: 6364c775 2ec9f558
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 12 18:55:51 2015 +0200

    Merge branch 'wip/search-provider'
    
    * wip/search-provider:
      install a search provider file
      ui: implement search action
      daemon; register search-provider
      search-provider: initial import
      client: add get_elements
      daemon: add GetElements
      bus: fix proxy macros
      daemon: fix
      bus: move name-lost from daemon to bus
      daemon: drop dumb NameLost dbus signal
      daemon: drop now unused stuff
      daemon: user the new GPasteBus
      bus: trivial fixes
      bus: add a way to hook up objects registration
      bus: add a way to retrieve the connection
      daemon: make it a bus object
      add GPasteBusObject
      fix comments
      introduce GPasteBus
      add search-provider dbus defines

commit 2ec9f558c05b89ad87bb8f5dedbbd9f6dc647018
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 12 18:55:12 2015 +0200

    install a search provider file
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ecdc375d85cef8ba646bb9009612956248fd05ca
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jun 12 18:20:05 2015 +0200

    ui: implement search action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8258377091a22a442639a0058c1571c1faae192c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat May 9 14:16:01 2015 +0200

    daemon; register search-provider
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1dd6b14b1907cbaf3072fa53aea6f9bf8aedcf8f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat May 9 12:31:44 2015 +0200

    search-provider: initial import
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6364c7757f0a34155e65bdf809c5d2ae11a7de9c
Merge: 16a5104c c99bc0f3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 16:07:04 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      Release GPaste 3.14.4.1

commit c99bc0f381590eed89084c5b03d6567c0c230271
Merge: a51d1153 8a8a8a91
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 16:04:38 2015 +0200

    Release GPaste 3.16.2.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 8a8a8a91d0dfff532d403225d38c69aa96cc72b5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 16:01:08 2015 +0200

    Release GPaste 3.14.4.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 16a5104cd6594010865f7710d4af44bd64516189
Merge: bf05ae53 a51d1153
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 15:54:25 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      fallback to non-pipe if nothing matched with pipe

commit a51d11539fd4d9644dfcbf80ff7cc1c3f5d8bd44
Merge: 0a29af27 cf6ebccd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 15:54:13 2015 +0200

    Merge branch 'gpaste-3.14' into gpaste-3.16
    
    * gpaste-3.14:
      fallback to non-pipe if nothing matched with pipe

commit cf6ebccdbbfd09fbe5b63f7e0cd6c7bf2d606841
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 15:52:42 2015 +0200

    fallback to non-pipe if nothing matched with pipe
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit bf05ae531971ac24b4c2094f879cedf6d8c2889c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 15:11:19 2015 +0200

    udpate README
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6eadefe6bb123437288d991c727bc60e84e8ab91
Merge: ba08520a 0a29af27
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 15:10:50 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      Release GPaste 3.14.4
      gpaste: allow taking password from stdin

commit 0a29af277726a474f1302f9d3b566ef6aa2257eb
Merge: 75ae2110 ae46c00a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 15:05:21 2015 +0200

    Release GPaste 3.16.2
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ae46c00adbb510425a0d39026fa2ced92c7aad66
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 14:57:50 2015 +0200

    Release GPaste 3.14.4
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f7cb793f242dd94d82990f78bf05435183c93b13
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon May 11 14:53:42 2015 +0200

    gpaste: allow taking password from stdin
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 835e4c7546dc0d2883fa21d0f8cfb713342337a4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 10 12:12:57 2015 +0200

    client: add get_elements
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ca92bbf2f22879cd96040157b73aa952768a9991
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 10 11:45:46 2015 +0200

    daemon: add GetElements
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 82e7381d57c98bf0929b25bc4d87afcc85ef6b36
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 3 16:29:48 2015 +0200

    bus: fix proxy macros
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 55914f621e79f2e157c6294cab8e0da188cc95e8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 3 16:05:29 2015 +0200

    daemon: fix
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7cab59601cd21e26831c54c3597cfa3456407185
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 3 15:59:30 2015 +0200

    bus: move name-lost from daemon to bus
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 3e8c66a4db5f52e0099166a4cb5b8dec76d31643
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 3 15:49:34 2015 +0200

    daemon: drop dumb NameLost dbus signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 47500639c506cdfd5f2ec1e7bd2d742a10329f92
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 3 15:47:40 2015 +0200

    daemon: drop now unused stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a5e2a3c983f0c0c1cd49bc6cb6b7160d13b4e706
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 3 15:40:44 2015 +0200

    daemon: user the new GPasteBus
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ec417b1424a582187bb42542dc8b4f69e64391c3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 3 15:26:11 2015 +0200

    bus: trivial fixes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 25354a5431a07e3d8316529f24541c78e0576dd3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 3 15:16:18 2015 +0200

    bus: add a way to hook up objects registration
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 913fcf091219528767fcc7a5a5e3e8c13b983113
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun May 3 14:53:03 2015 +0200

    bus: add a way to retrieve the connection
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 876d395f810bc7d11b4040cfbe73e06628af4fc4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat May 2 22:34:35 2015 +0200

    daemon: make it a bus object
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 26eefae7054811cde56edb65a3917c38f9e49909
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat May 2 22:19:39 2015 +0200

    add GPasteBusObject
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 42c66b4935bf19bfb47aed17231cec3d409dad08
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat May 2 22:28:55 2015 +0200

    fix comments
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ed3b5a302238af32c67d3d75355f1b82b15cf8a0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri May 1 16:08:52 2015 +0200

    introduce GPasteBus
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e5b3d59eab0e5c62cfb31c056d26ba1779872c20
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Apr 30 09:19:26 2015 +0200

    add search-provider dbus defines
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ba08520ad612053728b8e467a9d9e9490322e023
Merge: 1a340669 75ae2110
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 29 20:20:22 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      Release GPaste 3.16.1

commit 75ae21107fd31a78cf20753946351d29b59e3248
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 29 20:08:54 2015 +0200

    Release GPaste 3.16.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 1a3406695dc0538507919b6e97851579fda9d5c8
Merge: f4625a3f 8f4a53bd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 29 09:23:03 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      update README

commit 8f4a53bd637a7522763b4a24df7073afdd37e95f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 29 09:22:49 2015 +0200

    update README
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f4625a3f2eaff631905ae278ad7352534f60eb07
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 29 09:18:51 2015 +0200

    update-po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit d35523890da60b2015c6d19a85e4d24cd58c58a1
Merge: a9e5aa44 b8beb3ab
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 29 09:09:33 2015 +0200

    Merge branch 'gpaste-3.16'
    
    * gpaste-3.16:
      bump history size limit and default
      fix screensaver being dumb

commit b8beb3ab8dd3aa5b5851690906aacd56062cedc4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 29 09:08:04 2015 +0200

    bump history size limit and default
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 783dfe86c3b065266b6f7789cecc03c13f53dbfc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 29 09:05:29 2015 +0200

    fix screensaver being dumb
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a9e5aa44bbedfc3b23cb482fb8e71139b8f30de0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Apr 29 09:04:46 2015 +0200

    fix g-i annotation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e3d4e1abb5df4b17173b13642278da0a4ac3fb75
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Apr 23 15:56:30 2015 +0200

    ui: implement search
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit cd5c44bfdfca81df1a62376c354a294f4f2e3c83
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Apr 23 15:11:53 2015 +0200

    ui: prepare for search
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ad3acc3d4bb03a591c694b4153edbb40a967abc2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 20 09:25:38 2015 +0200

    ui: add a way to get search entry
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ac00ab08e47707e28dade1bd3a4f087c2c7e67b5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Apr 20 08:57:46 2015 +0200

    ui: fwd events to search bar
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 97cca0440c13bb483ef9c3ff1b923bdcf2f0ef28
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 18 13:40:22 2015 +0200

    ui: use search bar
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ffd25c4bd10a2c335a3e1199bb466f0e9222b120
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 18 13:40:15 2015 +0200

    ui: add a way to get header's search button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit acf2dd0d78a7ac176b9c37a70b119bc839466837
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 18 10:39:15 2015 +0200

    ui: add search bar
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 22887b64a4be143c2a12df216535b5fd6d6988f5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Apr 4 10:28:37 2015 +0200

    ui: add search button
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 81696e73489bf7fcb06e7a0addd6e648eed0a71b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 30 10:48:42 2015 +0200

    update POTFILES
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fe9f99b5aa785e6f0094198b318c53fc5ee2a37d
Merge: 9ca56434 ead1a638
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 30 10:46:59 2015 +0200

    Merge pull request #116 from elder/master
    
    update brazilian portuguese translation

commit ead1a63813eabead606c32262ee20ed872ee1625
Author: Elder Marco <eldermarco@gmail.com>
Date:   Sun Mar 29 12:02:40 2015 -0300

    update brazilian portuguese translation

commit 9ca564348bbfe24601aa542cf4d979e81360ac5a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 26 21:47:06 2015 +0100

    move show_about_dialog to its only user
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit ab917a9ee335e991e09b8df274046102718dadb7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 26 21:44:19 2015 +0100

    ui: always use GAction to do about
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit b6357bac7fdd331a81042d4073ca58cfe99a8828
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 26 21:18:54 2015 +0100

    daemon: use ui for about
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 4259746ccffa54877bf48e70864a879c1301ff0b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 26 20:55:10 2015 +0100

    util: cleanup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 200f784f742c5510de2029e652d780a21f1ec342
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 22:17:06 2015 +0100

    ui: name the gsource
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 528f0c5751dbbd24afcaf535f6eab7225c1aa34f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 22:14:39 2015 +0100

    ui: wait for window to be showned
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 874efc07ba852057b72fddabd364a0998b1d2cc5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 21:52:42 2015 +0100

    drop sleep hack
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit fc3c7b66d63142c50378992dc8d115e5011dd9dd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 21:32:59 2015 +0100

    fix build
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 14779b27919517e983be85091af5674891d477c3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 21:31:18 2015 +0100

    ui: tweak prefs action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 22de3a1643bbee6ccac6b1a2648d6f7ef0ba8de3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 21:27:13 2015 +0100

    util: spawn before action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2e3f7186adffd3fd6289b3a5c3cfe9c198c76046
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 21:18:04 2015 +0100

    ui: tweak prefs action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 55f44ebbda7b5da7db19cbaf82720f46717ddf82
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 20:54:56 2015 +0100

    util: really silence warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 78e46f1a05a69b2377df917577b3760b7bcf9123
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 20:34:27 2015 +0100

    util: silence warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 2ec1e71f135279832f60439b7448ca6cb0545d68
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 20:28:09 2015 +0100

    gpaste: fix settings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7af4eac259c4d34571eb3297d7dc33ef30176c3f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 20:17:59 2015 +0100

    util: add activate_sync
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 6ed6f6271a9d26e47453ab5a2fe892f2f2f4d13f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 20:17:49 2015 +0100

    util: refactor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 326d14b32c96d9da6fc92b5acdc0ef5e50e97ac6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 19:52:34 2015 +0100

    applet: drop settings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit a0b047363846c1ec630bc8278fa4c2911c44303b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 10:45:18 2015 +0100

    ui: add a settings action
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit f38cb9c6a8ce41c392eb722dc4b9a87f8de9166c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 10:13:15 2015 +0100

    add missing includes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit e25081e38fcd7f93e0396df4c757b8d24825f250
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 10:09:04 2015 +0100

    ui: drop now useless macro
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 7d171771f9f69a08e66afe2b6a8993bced13031f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 25 10:02:58 2015 +0100

    drop settings tool
    
